2026-06-12 Mike Gabriel

        * Release 0.9.5 (HEAD -> main, tag: 0.9.5)

2026-06-10 Mike Gabriel

        * Merge branch 'thestr4ng3r-gdesktopappinfo' (4587086)

2025-05-09 Florian Märkl

        * Remove unnecessary gio/gdesktopappinfo.h include (f22e86c)

2026-06-09 Mike Gabriel

        * Merge branch 'thestr4ng3r-pkgconfig' (7093307)

2025-05-09 Florian Märkl

        * Fix linking against libs in non-standard paths (80c8c7c)

2026-06-09 Mike Gabriel

        * Merge branch 'smheidrich-fix-broken-readme-link' (6be6bff)

2025-05-29 Shahriar Heidrich

        * Fix broken homepage link in README (3162487)

2026-06-09 Mike Gabriel

        * Merge branch 'aleasto-failing-gtk-tests' (013054c)

2025-10-06 Alessandro Astone

        * tests: Avoid more GDBusConnection leaks (95ca978)

2026-06-09 Mike Gabriel

        * Merge branch 'platypii-fix/css-provider-memory-leak' (dac009d)

2026-04-13 Kenny Daniel

        * src/indicator-ng.c: Fix GtkCssProvider memory leak in
          indicator_ng_set_label (8880ce6)

2024-07-03 Mike Gabriel

        * Merge branch 'triallax-bash-tests' (08c5540)

2024-05-06 triallax

        * Use /bin/sh instead of /bin/bash for tests (804fe3c)

2024-07-03 Mike Gabriel

        * Merge branch 'barracuda156-apple' (0be5f03)

2024-06-17 Sergey Fedorov

        * Fix build on macOS (8b4fc71)

2024-04-25 Mike Gabriel

        * Merge branch '0-wiz-0-main' (fded0d3)

2024-04-22 Thomas Klausner

        * Add missing -L argument to pkg-config .pc files. (63593be)

2023-10-13 Mike Gabriel

        * release 0.9.4 (611bb38) (tag: 0.9.4)

2023-09-06 Robert Tari

        * Merge branch 'tyll-executable_so' (0d5eaeb)

2023-09-05 Till Maas

        * cmake: Install library as library (05e4368)

2022-10-26 Mike Gabriel

        * src/indicator-service.c: Fix Robert's lastname in license header.
          (bae7a9c)
        * release 0.9.3 (a62e8ca) (tag: 0.9.3)

2022-10-08 Mike Gabriel

        * Merge branch 'tari01-pr/fix-tooltip' (bf432c5)

2022-10-04 Robert Tari

        * src/indicator-ng.c: Do not show tooltip on labels while the menu is
          open (3ae6943)

2022-09-15 Mike Gabriel

        * release 0.9.2 (d9ca686) (tag: 0.9.2)

2022-07-15 Mike Gabriel

        * Merge branch 'tari01-pr/add-tooltips' (ad8abda)

2022-07-13 Robert Tari

        * src/indicator-ng.c: Add tooltip support (c065f45)

2022-07-15 Mike Gabriel

        * Merge branch 'tari01-pr/enable-werror' (4f306dd)

2022-07-13 Robert Tari

        * .build.yml: Build the GTK3 flavour with -Werror (a7b1463)

2022-07-15 Mike Gabriel

        * Merge branch 'tari01-pr/crash-on-session-error' (88a19ee)

2022-07-13 Robert Tari

        * src/indicator-service.c: Make failure to connect to the session
          DBus fatal (3db4f03)
        * Whitespace fix (755ee95)

2022-02-17 Mike Gabriel

        * release 0.9.1 (80dae40) (tag: 0.9.1)
        * Merge branch 'tari01-pr/cleanup-compile-flags' (4231e8b)

2022-02-17 Robert Tari

        * .build.yml: Drop extra compilation flags (cf542e4)
        * Clean up compilation flags (4b442de)

2022-02-08 Robert Tari

        * .travis.yml: Run CI builds on Travis CI's Ubuntu focal base system
          (47244a9)

2021-11-18 Robert Tari

        * Merge branch 'sunweaver-pr/dont-export-private-symbols' (7c5e41b)

2021-11-18 Mike Gabriel

        * debian/libayatana-indicator*-7.symbols: Drop private symbols again.
          (ceb487f)
        * src/{CMakeLists.txt,indicator.symbols}: Don't export private
          symbols. Immitate symbol exports as previously done with
          libtool. (7cfded8)

2021-11-17 Mike Gabriel

        * d/changelog: Raise upstream version of DEB builds, due to wrong
          package revision in 0.9.0 release. (659cc9c)
        * release 0.9.0 (6a16c6f) (tag: 0.9.0)

2021-11-10 Mike Gabriel

        * Merge branch 'tari01-pr/check-menu-item-name-null' (c118af3)

2021-11-05 Robert Tari

        * src/indicator-ng.c: Make sure old menu item name is not NULL before
          comparison (40e310b)

2021-11-01 Robert Tari

        * Merge branch 'sunweaver-pr/travis-cleanup' (71b39fb)

2021-10-26 Mike Gabriel

        * .build.yml: Remove source code of locally built dependency after it
          has been installed. (e43c209)
        * .build.yml: Run unit tests in build_scripts: target. (7839b52)
        * .build.yml: Drop autotools dependencies. (d995a6e)

2021-10-22 Robert Tari

        * Merge branch 'sunweaver-pr/gtk2-flavour-build-fix' (c9063c6)

2021-10-22 Mike Gabriel

        * debian/rules: Use one spelling for 'flavour'. (c15189f)
        * CMakeLists.txt: Don't build GTK2 flavour against GTK3. (bde82da)

2021-10-21 Mike Gabriel

        * Merge branch 'diddledani-icon-scaling' (99649c5)

2021-10-15 Dani Llewellyn

        * Scale icons when loading from filename (7e02a15)

2021-10-20 Robert Tari

        * .travis.yml: Temporarily disable ppc64le builds (1904f33)

2021-10-19 Robert Tari

        * Merge branch
          'sunweaver-pr/different-folders-for-include-files-based-on-GTK-flavour'
          (79db730)

2021-09-20 Robert Tari

        * Fix copyright headers (eecd9dd)

2021-09-02 Robert Tari

        * Fix Travis status image (0b69ab9)

2021-10-19 Mike Gabriel

        * debian/libayatana-indicator*-dev.install: Ship include header files
          correctly in two separate dev:pkgs. (548d13a)
        * src/CMakeLists.txt: Use different include paths for GTK-2 and GTK-3
          builds (even if header files are indentical). (6721575)

2021-09-20 Robert Tari

        * Fix copyright headers (7a377a1)

2021-09-02 Robert Tari

        * Fix Travis status image (4e7a5b1)

2021-08-29 Mike Gabriel

        * debian/{control,compat}: Bump to level 10. (18eade4)
        * debian/rules: Enable unit tests. (7f3efa9)

2021-08-28 Mike Gabriel

        * .travis.yml: Use Ayatana Indicators project's dev-scripts repo.
          (3c111d0)

2021-08-10 Mike Gabriel

        * Merge branch 'tari01-pr/add-enable-werror-option' (cb74130)

2021-08-09 Robert Tari

        * Add ENABLE_WERROR option (cb0c07e)

2021-06-27 Mike Gabriel

        * README.md: Add missing parenthesis close. (304b8b8)

2021-06-17 Mike Gabriel

        * debian/control: Drop B-D: dh-exec. Not needed anymore since removal
          of ayatana-indicator-common bin:pkg. (0275b35)
        * debian/rules: Drop remnants of ayatana-indicator-common (found in
          dh_install and dh_missing overrides). (3ccffba)

2021-06-16 Mike Gabriel

        * Merge branch 'tari01-pr/drop-ayatana-indicators-target' (9b15f3c)

2021-06-15 Robert Tari

        * debian/: Drop bin:pkg ayatana-indicator-common (moved to src:pkg
          libayatana-common). (1343147)
        * .build.yml: Remove systemd dependency. (888ceb9)
        * data/: Drop ayatana-indicators.target (moved to libayatana-common).
          (cbca7c3)

2021-06-10 Mike Gabriel

        * Merge branch 'tari01-pr/disable-loader' (0523726)

2021-06-10 Robert Tari

        * Add option to disable Loader build/installation (777d748)

2021-06-09 Mike Gabriel

        * Merge branch 'tari01-pr/cmake-install-full' (a25c5f1)

2021-06-08 Robert Tari

        * Use CMAKE_INSTALL_FULL_*DIR locations (dea96dd)

2021-06-08 Mike Gabriel

        * debian/control: Add D (libayatana-indicator3-dev):
          libayatana-ido3-dev. (912f071)

2021-05-25 Mike Gabriel

        * README.md: Slight adjustment to the .desktop file comparison.
          (f2b907a)
        * Merge branch 'tari01-pr/update-docs' (cd7c85d)

2021-05-24 Robert Tari

        * README: Drop old file (b4cb3aa)
        * Add documentation files (77c690f)

2021-05-17 Robert Tari

        * Merge branch 'sunweaver-pr/support-disabling-IDO' (a129e90)

2021-05-17 Mike Gabriel

        * Travis CI: Also test GTK+-3.0 builds with IDO support disabled.
          (99f8f1f)
        * CMakeLists.txt: Report more build parameters to stdout when CMake
          configures the build. (80253cf)
        * {,**/}CMakeLists.txt: Support builds against GTK+-3.0 with IDO
          support disabled. (b28e807)

2021-05-17 Robert Tari

        * Merge branch 'tari01-pr/fix-tests-and-coverage' (f6baada)

2021-05-16 Mike Gabriel

        * CMakeLists.txt: Fix coverage report. We need to reference the test
          executables here, not the test wrappers. (a914848)
        * tests/CMakeLists.txt: Rewrite to fix tests and coverage (49d522e)
        * Revert "tests/run-xvfb.sh: Drop file, not required with CMake."
          (9c35f2f)

2021-03-16 Robert Tari

        * tests/org.ayatana.indicator.test.service.in: Fix placeholder
          (629f2a7)
        * tests/service-manager-connect.service.in: Fix placeholder (e37c1b8)
        * tests/service-version-good.service.in: Fix placeholder (4a5c707)
        * tests/service-version-bad.service.in: Fix placeholder (b9842a3)
        * tests/session.conf.in: Fix placeholder (94ee3f9)
        * tests/test-indicator-ng.c: Enable all tests (8fe500d)

2021-05-14 Robert Tari

        * Merge branch 'sunweaver-pr/bring-back-gtk2-builds' (763acde)

2021-05-12 Mike Gabriel

        * Travis CI: Drop autotools support, build and test GTK+-2.0 and
          GTK+-3.0 flavours. (173f104)
        * debian/libayatana-indicator3-tools.install: Install
          ayatana-indicator3-loader test tool to LIBEXECDIR.
          (b2214f2)
        * debian/libayatana-indicator*-dev.install: No .a files shipped
          anymore. (08a856c)
        * debian/*.symbols: Update symbols files. (8eec783)
        * debian/rules: Run GTK2/GTK3 unit tests sequentially. (262df76)
        * debian/rules: Explicitly enable tests at build time. (0371084)
        * debian/rules: Adjust to CMake based build. (Fixes DEB builds after
          CMake switch). (73e6c3a)
        * debian/control: Adjust B-Ds for CMake based build. (1140a11)
        * CMakeLists.txt: Always builds indicator3 loader tool (not just when
          ENABLE_TESTS is set). (0a9b030)
        * Bring back GTK+-2.0 and GTK+-3.0 build flavours. (bfb679d)
        * tests/run-xvfb.sh: Drop file, not required with CMake. (c7a152a)
        * trim-lcov.py: Drop file, not required anymore with CMake. (e2d3331)
        */Makefile.am: Drop more remnants of autotools. (eb53143)
        * Merge branch 'tari01-pr/move-to-cmake' (025c376)

2021-02-10 Robert Tari

        * Append us to copyright headers (c277aa6)

2021-02-11 Robert Tari

        * Remove Automake-related files (e20daf6)
        * Add CMakeLists.txt files + tests/test-loader.c: fix library paths +
          Fix include paths (1fa174f)
        * tests/test-indicator-ng.c: disable menu test for now, it will not
          work with GCovr (729e95b)

2021-02-10 Robert Tari

        * Whitespace fix (1cba923)
        * Add ayatana-indicator3-0.4.pc.in to data (25c2922)
        * Move source files to src (b8b206c)

2021-05-06 Mike Gabriel

        * Travis CI: Also support CMake based CI builds. (13c1c80)

2021-05-06 Robert Tari

        * Merge branch 'sunweaver-pr/travis-ci-with-cmake-support' (aa6723b)

2021-05-06 Mike Gabriel

        * Travis CI: Also support CMake based CI builds. (bc6886f)

2021-05-04 Robert Tari

        * Merge branch 'sunweaver-pr/travis-ci' (d68a7de)

2021-05-04 Mike Gabriel

        * .build.yml: Build ayatana-ido from upstream Git rather than using
          the possibly outdate packaged version of ayatana-ido.
          (f2b0b01)
        * .travis.yml: Don't run autotools builds twice (once via script,
          once directly). (c58c269)
        * .travis.yml: Also do CI builds against Debian stable. (89db74c)
        * .travis.yml: Temporarily disable CI builds on ubuntu:rolling.
          Ubuntu's I series is not ready yet as docker container.
          (195c450)
        */Makefile.am: Drop -Werror compiler flag for now. Not helpful when
          setting up CI builds for dirty code. (246f41f)

2021-04-21 Mike Gabriel

        * .build.yml: Drop distcheck target. Not required. (1760be4)
        * .build.yml: Enable unit tests during configure. (a7375c8)
        * .build.yml: Output test-suite.log at the end of unit testings.
          (9b913f0)
        * .build.yml: No tests are run on Archlinux, neither are they run on
          Ubuntu. (962eea0)
        * .build.yml: Unit tests require xvfb (and xauth). (a849b4a)

2021-04-20 Mike Gabriel

        * tools/indicator-loader.c: Silence unused parameter warnings/errors
          for various functions. (1911cb3)
        * libayatana-indicator/indicator-service{,-manager}.c: Drop return
          statements and g_error_free() calls that never get
          reached. (8338069)
        * libayatana-indicator/indicator-ng.c: Stricter type usage when
          comparing Integer like variable. (ade4d68)
        * libayatana-indicator/indicator-ng.c: Silence unused parameter
          warnings/errors for various functions. (ad0e922)
        * libayatana-indicator/indicator-service-manager.c: Silence unused
          parameter warnings/errors for various functions. (432174b)
        * libayatana-indicator/indicator-service.c: Avoid error: use of GNU
          old-style field designator extension. (cc7f8ce)
        * libayatana-indicator/indicator-service.c: Silence unused parameter
          warnings/errors for callback functions. (995b2cd)
        * libayatana-indicator/indicator-image-helper.c: Silence unused
          parameter warnings/errors for callback functions.
          (b829a57)
        * libayatana-indicator/indicator-desktop-shortcuts.c: Avoid
          comparison of integers of different signs. Thanks to
          scan-build on Travis-CI. (7e70eb7)
        * Travis-CI: Also build against Ubuntu 20.04 (for Ubuntu Touch's
          sake). (4880df3)
        * Travis-CI: temporarily disable archlinux:latest CI builds.
          (e86d11e)
        * TRAVIS: Initial attempt to get TRAVIS CI working for this project.
          (5424403)

2021-02-03 Mike Gabriel

        * debian/rules: Don't build/run unit tests parallely. (5cd5b0c)
        * debian/control: Add B-D at-spi2-core. Fix FTBFS during unit tests.
          (9b1ca2a)

2021-02-03 Robert Tari

        * Merge branch 'sunweaver-pr/drop-Werror-flag-from-unit-test-builds'
          (84b7a79)

2021-02-03 Mike Gabriel

        * tests/Makefile.am: Drop -Werror from unit test builds. (800747d)

2021-01-25 Mike Gabriel

        * release 0.8.4 (9a887fb) (tag: 0.8.4)
        * Makefile.am: Set DISTCHECK_CONFIGURE_FLAGS. (d0abfc5)
        * debian/*: Update from official Debian packaging. (dec55b8)

2020-12-04 Robert Tari

        * Merge branch 'sunweaver-pr/debian-build-with-unit-tests' (6935c68)

2020-12-04 Mike Gabriel

        * configure.ac: Drop superfluous square bracket (typo fix). (0321918)
        * tests/Makefile.am: Wrap test-indicator-ng around Xvfb and
          dbus-runner. (d6b4c6b)
        * libayatana-indicator/indicator-ng.c: Only run gtk_box_set_spacing()
          if object to operate on is a GTK_BOX. (29f118a)

2020-12-04 Robert Tari

        * Merge branch 'sunweaver-pr/fix-typo-in-configure-ac' (fbb8dbe)

2020-12-04 Mike Gabriel

        * tests/Makefile.am: Wrap test-indicator-ng around Xvfb and
          dbus-runner. (fb1450e)
        * libayatana-indicator/indicator-ng.c: Only run gtk_box_set_spacing()
          if object to operate on is a GTK_BOX. (cbf345e)

2020-12-04 Robert Tari

        * Merge branch 'sunweaver-pr/fix-test-indicator-ng' (1f54cb3)

2020-12-04 Mike Gabriel

        * debian/rules: Enable unit tests after build. (fb9db8a)
        * configure.ac: Drop superfluous square bracket (typo fix). (6eab844)
        * tests/Makefile.am: Wrap test-indicator-ng around Xvfb and
          dbus-runner. (1a62e1e)
        * libayatana-indicator/indicator-ng.c: Only run gtk_box_set_spacing()
          if object to operate on is a GTK_BOX. (770efbc)

2020-11-09 Mike Gabriel

        * release 0.8.3 (4489b12) (tag: 0.8.3)

2020-10-30 Mike Gabriel

        * Merge branch 'tari01-pr/fix-menu-resizing' (2806da0)

2020-10-30 Robert Tari

        * indicator-ng.c: Fix menu resizing for all themes (f5663d0)

2020-09-10 Mike Gabriel

        * release 0.8.2 (afa8c6a) (tag: 0.8.2)
        * Merge branch 'tari01-pr/trim-lcov-py3' (cce52a7)

2020-09-10 Robert Tari

        * trim-lcov.py: Port trim-lcov to Python 3 (c310b42)

2020-09-08 Mike Gabriel

        * Merge branch 'tari01-pr/disable-menu-arrows' (6b0ca37)

2020-08-26 Robert Tari

        * Disable menu arrows (1df0f1d)

2020-09-08 Mike Gabriel

        * Merge branch 'tari01-pr/blank-label-padding-spacing' (2130f28)

2020-09-05 Robert Tari

        * indicator-ng.c: Fix padding and spacing for hidden indicator item
          labels (73fd4da)

2020-09-05 Mike Gabriel

        * Merge branch 'tari01-pr/blank-label' (cba1c3c)

2020-09-05 Robert Tari

        * indicator-ng.c: Do not hide image when toggling label visibility
          (d8b5315)
        * Whitespace fix (8c8822d)
        * Whitespace fix (8ccd3bc)

2020-09-05 Mike Gabriel

        * Merge branch 'tari01-pr/duplicate-locations' (242b20b)

2020-09-02 Robert Tari

        * Fix duplicate location in the datetime indicator. (6e5ab2c)

2020-08-26 Mike Gabriel

        * release 0.8.1 (f89575e) (tag: 0.8.1)
        * Merge branch 'tari01-pr/fix-menu-scrolling' (7ad3a78)

2020-08-25 Robert Tari

        * Enable menu scrolling + reset offset on popup (6de1c02)

2020-08-17 Mike Gabriel

        * Merge branch 'tari01-pr/multiple-messaging-clients' (cb4cf54)

2020-08-16 Robert Tari

        * Fix IDO insertion index in Indicator Messages with multiple clients
          (b6fd2c1)

2020-08-14 Mike Gabriel

        * release 0.8.0 (8beffb3) (tag: 0.8.0)
        * debian/control: Let ayatana-indicator-common break system
          indicators before 0.8.0 (except power indicator, that one
          before 2.1.0). (d87433d)
        * debian/control: Update versioned B-D on libayatana-ido3-dev to
          0.8.0-0~. (758b74d)
        * configure.ac: Bump IDO_REQUIRED_VERSION to 0.8.0. (5afd8bf)

2020-08-14 Robert Tari

        * Fix width of menu panes. (0a798f3)

2020-08-13 Robert Tari

        * Merge branch 'sunweaver-pr/ayatanamenuitemfactory-from-ido'
          Attributes GH PR #15:
          https://github.com/AyatanaIndicators/libayatana-indicator/pull/15
          (e9902ad)

2020-08-13 Mike Gabriel

        * Use ayatanamenuitemfactory.(c|h) from ayatana-ido. Reduce code
          duplications. (e34f12e)
        * Merge branch 'tari01-pr/ido-insertion-error-handling' (573e40f)

2020-08-13 Robert Tari

        * Try to prevent cascading failure if IDO creation fails (f0ee1df)

2020-08-11 Mike Gabriel

        * Merge branch 'tari01-pr/replace-x-canonical-attributes' (27f00a5)

2020-08-11 Robert Tari

        * Replace x-canonical attributes (004ae04)

2020-08-10 Mike Gabriel

        * debian/ayatana-indicator-common.links: Add FIXME/reminder to drop
          manual symlinking of systemd user service file once DH
          compat level is raised to a level above 12. (f57637e)
        * Merge branch 'ubports-fix-systemd' (985f492)

2020-08-09 Marius Gripsgard

        * Use indicators.target as the systemd lifecycle unit (42358cc)

2020-08-08 Robert Tari

        * Fix tests and deprecations (fixes #1) (7ceee62)

2020-07-31 Robert Tari

        * Merge pull request #5 from tari01/master (a5b1374)
        * Resize open menus as items change (e528ee8)

2020-07-28 Mike Gabriel

        * release 0.7.1 (74cfb21) (tag: 0.7.1)

2020-07-27 Robert Tari

        * Merge pull request #4 from tari01/master (a7c9a35)
        * Display and connect the Indicator Messages widgets (208176b)

2020-07-24 Mike Gabriel

        * debian/*: Update from official Debian packaging. (9a41af8)

2020-07-23 Mike Gabriel

        * release 0.7.0 (87e85c2) (tag: 0.7.0)

2020-07-22 Mike Gabriel

        * debian/libayatana-indicator3-7.symbols: Add new symbols, already
          targetting next upstream release. (e32b9d0)
        * libayatana-indicator/Makefile.am: Make sure,
          ayatanamenuitemfactory.c gets built during GTK-3 builds.
          (1917f00)

2020-07-22 Robert Tari

        * Display IDO widgets/Use own action muxer/Allow IDO CSS styling
          (b619354)

2020-07-22 Mike Gabriel

        * Merge branch 'ntninja-master' (c984cc5)

2019-12-12 Alexander Schlarb

        * Make building of `ayatana-indicator-loader3` optional (c6f93fe)

2019-11-20 Mike Gabriel

        * release 0.6.3 (faf2784) (tag: 0.6.3)
        * debian/rules: Switch from dh_install --fail-missing to dh_missing
          --fail-missing. (a5bc467)
        **/Makefile.am: Set -DGTK_DISABLE_DEPRECATED for gtk2 builds. Fixes
          FTBFS against Glib2.0 >= 2.62. (dd16c4c)

2019-08-29 Mike Gabriel

        * libayatana-indicator/indicator-object.c: Typo fix in comment.
          (b4a069f)

2018-11-05 Mike Gabriel

        * GObject private API/ABI: Get rid of g_type_class_add_private() and
          use DEFINE_TYPE_WITH_PRIVATE(). (a734066)
        * debian/control: Switch B-D from libayatana-ido3-0.4-dev ->
          libayatana-ido3-dev. (e8073fd)

2018-03-20 Mike Gabriel

        * release 0.6.2 (3927e0f) (tag: 0.6.2)
        * libayatana-indicator/indicator-ng.c: Type cast assignments from
          g_object_ref_sink(). (34b4321)
        * debian/control: Drop unneeded D (libayatana-indicator3-dev):
          libayatana-indicator-dev. (3b3c265)

2017-10-26 Mike Gabriel

        * Makefile.am: Drop distcheck features. (8de3f59)

2017-10-22 Mike Gabriel

        * debian/changelog: Fix source project name in most recent changelog
          stanza. (cffab72)

2017-09-27 Mike Gabriel

        * debian/changelog: post-release fix in date strings (2) (fb3d8fe)
        * debian/changelog: post-release fix in date strings (for 0.6.0 and
          0.6.1) (7a2f684)

2017-09-23 Mike Gabriel

        * post-release fix-up of debian/changelog (4f355a3)

2017-09-22 Mike Gabriel

        * debian/rules: Drop dh_install call for bin:pkg
          -plibayatana-indicator-tools. We don't ship that anymore.
          (6233943)
        * debian/ayatana-indicator-common.install: Set x-bit on file
          permissions. (7222339)
        * release 0.6.1 (20640dd) (tag: 0.6.1)
        * debian/control: Add B-D systemd [linux-any]. (df6c2e9)
        * debian/{control,ayatana-indicators-common}: Leave
          ayatana-indicators-commin bin:package empty on non-systemd
          systems. (7bd1d1d)
        * configure.ac: Support pkg-config (<< 0.27). (afba9ad)
        * autotools: Make systemd dependency optional. This makes
          libayatana-indicator available on Debian GNU/kFreeBSD and
          Debian GNU/Hurd. (2b5c1b0)

2017-05-22 Mike Gabriel

        * debian/*: Adopt packaging improvements from official Debian
          package. (5ff7174)
        * release 0.6.0 (4fd7ae8) (tag: 0.6.0)
        * Add empty NEWS file to prevent FTBFS. (c49b409)
        * Update AUTHORS file. (9029a50)
        * Move NEWS -> NEWS.Canonical. (0409f01)
        * autogen.sh: Add 'ayatana-' to the PKG_NAME value. (820f332)
        * README: Update, don't mention Unity. We are non-Ubuntu centric.
          Also adapt path where indicator service files have to be
          placed. (6523f70)

2017-05-16 Mike Gabriel

        * Fix up for previous commit. (8c2a254)

2017-05-15 Mike Gabriel

        * One step back... Mimick Canonical's API. Use their namespace for
          item attributes. (ac3c960)
        * tools/80indicator-debugging: Adapt comment header to our fork.
          (9c42187)

2017-05-15 Ted Gould

        * ayatana-indicator-common: Add a package to hold shared systemd
          targets for systemd user session. (0f68605)

2017-05-15 Mike Gabriel

        * drop buildcruft file (4ab9812)
        * build system: Switch from gnome-common to mate-common. (c4a411d)

2016-02-19 Iain Lane

        *  Add -lm via LDADD to resolve FTBFS in Ubuntu 16.04 and Debian
          stretch/unstable. (0871d14)

2015-11-16 Mike Gabriel

        * Use x-ayatanaindicator-* instead of x-canonical-*. (c9b08c1)
        * Makefile.am: Replace dist-hook for Bazaar based VCS repo against
          dist-hook for a Git based VCS repo. (1748add)

2015-11-11 Mike Gabriel

        * debian/libayatana-indicator*.symbols: Add .symbols files for shared
          libraries. (35fbed9)
        * debian/rules: Remove builddir/ and build-aux/ directories when
          auto-cleaning up package. (9469b6e)
        * Drop .bzrignore file. (ed550aa)

2015-11-10 Mike Gabriel

        * debian/changelog: Use a Debianinc revision in the package version
          (0.6.0 -> 0.6.0-0). (3682a7c)
        * debian/control: Fix build-dep issue for libayatana-ido3-0.4-dev.
          (9c0552f)

2015-11-07 Mike Gabriel

        * Various fixes for making the library name change complete.
          (fc142ac)

2015-11-06 Mike Gabriel

        * Fork libayatana-indicator from Ubuntu's libindicator shared
          library. (9d1b39f)

2014-09-22 CI bot

        * Releasing 12.10.2+14.10.20140922-0ubuntu1 (b1f280a)

2014-09-22 Marco Trevisan (Treviño)

        * IndicatorNG: Reverse the scroll delta on left scroll events
          (5ae6789)

2014-07-16 Marco Trevisan (Treviño)

        * IndicatorNG: Reverse the scroll delta on left scroll events
          (19b7298)
        * IndicatorLoader: convert gtk scroll events to indicator object
          events (1a211d6)
        * IndicatorLoader: add scroll-entry support (515f717)

2014-04-02 CI bot

        * Releasing 12.10.2+14.04.20140402-0ubuntu1 (14a8261)

2014-04-02 William Hua

        * Don't load using the icon info structure if it's a GBytesIcon.

          Fixes: 1293548 (e662c87)

2014-03-29 William Hua

        * Don't load using the icon info structure if it's a bytes icon.
          (68a5ec6)

2014-03-04 CI bot

        * Releasing 12.10.2+14.04.20140304-0ubuntu1 (1dc288c)

2014-03-04 Marco Trevisan (Treviño)

        * IndicatorImageHelper: always try to use a GIcon or the filename as
          source of the GdkImage (a0a0b28)

2014-03-03 Marco Trevisan (Treviño)

        * IndicatorImageHelper: let's use the actual icon file if its height
          is less than ICON_SIZE (844e1b5)
        * IndicatorLoader: Make sure that we load the icon at its original
          size, if not higher than IMAGE_SIZE (8a1bdd7)

2014-02-28 Marco Trevisan (Treviño)

        * ImageHelper: set image from icon name if we have the filename
          (acf1752)
        * IndicatorImageHelper: always try to use a GIcon or the file-name as
          source of the Gdk image (12db08f)

2014-02-18 CI bot

        * Releasing 12.10.2+14.04.20140218-0ubuntu1 (517d1b4)

2014-02-18 Marco Trevisan (Treviño)

        * IndicatorObject: add parent_window parameter to IndicatorEntry
          (31d0819)

2014-02-13 Marco Trevisan (Treviño)

        * IndicatorObject: add parent_window parameter to IndicatorEntry
          (9affd1f)

2014-01-29 CI bot

        * Releasing 12.10.2+14.04.20140129-0ubuntu1 (a7660e5)

2014-01-29 Lars Uebernickel

        * indicator-ng: support "submenu-action" on root menu items
          Fixes:
          793450 (ced7687)
        * indicator-ng: support "submenu-action" on root menu items (239817c)

2014-01-17 Łukasz 'sil2100' Zemczak

        * Sync trunk with what's in the archive (759fdd8)

2013-12-20 Colin Watson

        * Use named icons rather than (deprecated) stock items.
          Fixes:
          https://bugs.launchpad.net/bugs/1262626. (b7f9938)
        * Use named icons rather than (deprecated) stock items. (a1e5383)

2013-12-19 Lars Uebernickel

        * Don't treat deprecation warnings as errors and fix indicator-ng
          test for gtk 3.10.
          Fixes:
          https://bugs.launchpad.net/bugs/1262626. (f6b60f1)
        * test-indicator-ng: adapt to new gtkmodelmenuitem widget structure
          (b2d4deb)
        * Don't treat deprecation warnings as errors (ef145fc)

2013-11-25 Automatic PS uploader

        * Releasing 12.10.2+14.04.20131125-0ubuntu1 (revision 517 from
          lp:libindicator). (a1318f0)
        * Releasing 12.10.2+14.04.20131125-0ubuntu1, based on r517 (cef38fd)

2013-10-31 Timo Jyrinki

        * Sync changelog from what's in archive. (69132b0)

2013-10-29 Lars Uebernickel

        * Allow setting different positions for each profile in indicator
          files (cf5ac5e)

2013-10-24 Charles Kerr

        * When we can't get a handle to the bus, exit gracefully instead of
          crashing.
          Fixes: https://bugs.launchpad.net/bugs/1218222.
          (773d09b)

2013-10-23 Charles Kerr

        * minor cleanup in the dispose() and finalize() functions (2d8ee13)
        * When we can't get a handle to the system bus, exit gracefully
          instead of crashing. (40b4288)

2013-10-17 Lars Uebernickel

        * indicator-ng: always create entry.label and entry.image (de95588)
        * indicator-ng: always create entry.label and entry.image (244d618)
        * Warn when an indicator doesn't get respawned anymore. (ccf83ad)

2013-10-16 Lars Uebernickel

        * Warn when an indicator doesn't get respawned anymore (0a9a95f)

2013-10-10 Lars Uebernickel

        * Allow setting per-profile positions in indicator files (478ea09)

2013-09-13 Automatic PS uploader

        * Releasing 12.10.2+13.10.20130913-0ubuntu1 (revision 511 from
          lp:libindicator). (a52033e)
        * Releasing 12.10.2+13.10.20130913-0ubuntu1, based on r511 (f5e4716)

2013-09-09 Lars Uebernickel

        * Expose scrolling and middle clicking to fix bug #1221242 and
          #1204036 (make scrolling and middle clicking work on the
          sound indicator).
          Fixes:
          https://bugs.launchpad.net/bugs/1204036,
          https://bugs.launchpad.net/bugs/1221242. (5878e6b)
        * Remove debug message (9e857c3)
        * Support x-canonical-secondary action (bb39362)
        * Support "x-canonical-scroll-action" (f4fa566)

2013-08-23 Automatic PS uploader

        * Releasing 12.10.2+13.10.20130823-0ubuntu1 (revision 509 from
          lp:libindicator). (86f3d9e)
        * Releasing 12.10.2+13.10.20130823-0ubuntu1, based on r509 (415565b)

2013-08-22 Marco Trevisan (Treviño)

        * IndicatorDesktopShortcuts: add support to Path key for shortcut
          items.
          Fixes: https://bugs.launchpad.net/bugs/1113883.
          (b47e0f1)
        * IndicatorDesktopShortcut: fix indentation (59a242d)
        * IndicatorDesktopShortcuts: restore previous working dir if we
          changed it (427b5d5)

2013-08-09 Marco Trevisan (Treviño)

        * IndicatorDesktopShortcuts: use g_key_file_get_string for path
          (6d93aba)

2013-08-08 Marco Trevisan (Treviño)

        * IndicatorDesktopShortcuts: add support to Path key for shortcut
          items (c0bb294)

2013-07-31 Automatic PS uploader

        * Releasing 12.10.2+13.10.20130731-0ubuntu1 (revision 507 from
          lp:libindicator). (f695712)
        * Releasing 12.10.2+13.10.20130731-0ubuntu1, based on r507 (a8df6b3)

2013-07-30 Charles Kerr

        * in indicator-loader3, if we're looking at an ng-style indicator,
          show all of its profiles instead of just one. (ae7687c)

2013-07-26 Charles Kerr

        * explicitly set UBUNTU_MENUPROXY to 0 (e430061)
        * more copyediting. why am I awake? (f842a80)
        * copyediting: fix linewraps (5acc284)

2013-07-25 Charles Kerr

        * plug a keyfile leak (7f61992)
        * in indicator-loader, show =all= the profiles (083af7d)

2013-07-19 Automatic PS uploader

        * Releasing 12.10.2+13.10.20130719-0ubuntu1 (revision 505 from
          lp:libindicator). (ce7a42f)
        * Releasing 12.10.2+13.10.20130719-0ubuntu1, based on r505 (ed00a13)

2013-07-18 Marco Trevisan (Treviño)

        * IndicatorDesktopShortcuts: fix memory leak, free groupheader.
          (0c4921a)

2013-07-17 Marco Trevisan (Treviño)

        * IndicatorDesktopShortcuts: free groupheader (598c4b7)

2013-07-02 Automatic PS uploader

        * Releasing 12.10.2+13.10.20130702-0ubuntu1 to ubuntu. (507e694)
        * Releasing 12.10.2+13.10.20130702-0ubuntu1, based on r503 (4cacb64)

2013-06-28 Lars Uebernickel

        * Add support for indicators to tell the panel where they'd like to
          appear (4ec8c2f)
        * indicator-object: g_return_if_fail -> g_return_val_if_fail
          (e7e2b63)
        * README: include information about the new Position key in indicator
          files (9090409)
        * Allow indicators to tell the panel where they want to appear
          (e744e38)

2013-06-28 Automatic PS uploader

        * Releasing 12.10.2+13.10.20130628-0ubuntu1 to ubuntu. (3470db7)
        * Releasing 12.10.2+13.10.20130628-0ubuntu1, based on r501 (55e85a1)

2013-06-27 Charles Kerr

        * Fixes a crasher bug in ng's parsing of the response to
          org.freedesktop.DBus.StartServiceByName: The result's
          variant format is "(u)", not "u". (b4ea3e7)
        * in indicator_ng_service_started(), the result's variant type should
          be parsed as '(u)' rather than 'u' (104bcd6)

2013-06-19 Automatic PS uploader

        * Releasing 12.10.2daily13.06.19.1-0ubuntu1 to ubuntu. (7bd4548)
        * Releasing 12.10.2daily13.06.19.1-0ubuntu1, based on r499 (0bb928f)

2013-06-19 Didier Roche

        * Add missing conflicts/replaces (1b0f90a)

2013-06-17 Charles Kerr

        * in indicator_ng_update_entry, unconditionally call set_label,
          set_icon, set_accessible. Previously these were only
          called if the respective fields weren't NULL, which made
          it impossible to, for example, turn off a label or icon
          once it had been set. (20c7b65)

2013-06-16 Charles Kerr

        * in indicator_ng_update_entry, unconditionally call set_label,
          set_icon, set_accessible. Previously these were only
          called if the respective fields weren't NULL, which made
          it impossible to, for example, turn off a label or icon
          once it had been set. (d5d01f6)

2013-06-07 Lars Uebernickel

        * indicator-ng: properly fail when keyfile doesn't exist. (d5fd946)

2013-06-07 Ted Gould

        * Remove the GTK2 version of the tools. (b094931)
        * Gone. (1c70a2e)
        * Move the debugging environment variables into the other tools
          package (277ba85)
        * Don't build the GTK2 tools (3c96b99)

2013-06-07 Lars Uebernickel

        * indicator-ng: properly fail when keyfile doesn't exist (2014454)
        * Merge lp:~larsu/call-ido-init (1d4bcdd)
        * Merge lp:~larsu/new-indicator-file-format (12cc75f)

2013-06-07 Automatic PS uploader

        * Releasing 12.10.2daily13.06.07-0ubuntu1 to ubuntu. (060711f)
        * Releasing 12.10.2daily13.06.07-0ubuntu1, based on r492 (2edf591)

2013-06-04 Lars Uebernickel

        * Revert r490 (4adb2af)

2013-05-29 Lars Uebernickel

        * indicator-ng: fix crash (0d3ebcb)

2013-05-29 Marco Trevisan (Treviño)

        * tests: fix compilation and make check. (8b78ada)
        * IndicatorDesktopShortcuts: Use the proper way to create an AppInfo
          from command-line (ab3b6ee)

2013-05-29 Ted Gould

        * Migrating away from deprecated gtk_icon_info_free(). (d652787)
        * Handling the deprecation of gtk_icon_info_free() (b46f29a)

2013-05-27 Lars Uebernickel

        * debian/control: add ido dependency (f9c0971)

2013-05-24 Lars Uebernickel

        * IndicatorNg: update indicator file format (9627530)
        * refactor indicator_ng_initable_init (2712010)

2013-05-23 Lars Uebernickel

        * Depend on ido and call ido_init() in indicator-loader (a591305)
        * indicator-image-helper: stop using deprecated gtk_icon_info_free()
          (f77f41e)

2013-05-22 William Hua

        * Use GIcon's serialization/deserialization interface for indicator
          icons so that we can load icons as PNG data transmitted
          over the bus. (ae198af)

2013-05-19 William Hua

        * Code clean-up. (176ea14)

2013-05-03 Automatic PS uploader

        * Releasing 12.10.2daily13.05.02-0ubuntu1 to ubuntu. (5cac96c)

2013-05-02 Automatic PS uploader

        * Releasing 12.10.2daily13.05.02-0ubuntu1, based on r487 (0496a1f)

2013-05-02 Mathieu Trudel-Lapierre

        * Merge changelog changes from /13.04 branch for saucy. (3022eec)
        * Merge changelog changes from /13.04 branch for saucy. (4d59f6f)

2013-04-26 William Hua

        * Clean up error checking. (bab64c4)
        * Don't free label and accessible_desc. (83fef72)
        * Remove changelog entry. (5d6adee)

2013-04-22 William Hua

        * [ William Hua ];  debian/control:   - Bump GLib to 2.37.
          configure.ac:   - Bump GLib to 2.37.
          libindicator/indicator-image-helper.c:   - Support display
          of GBytesIcons.;  libindicator/indicator-ng.c:   - Change
          action state icon type to GVariant. (19ec649)

2013-04-19 Marco Trevisan (Treviño)

        * IndicatorDesktopShortcuts: some code cleanup (f88266a)

2013-04-12 Marco Trevisan (Treviño)

        * tests: fix compilation and make check. (5c5f778)
        * IndicatorDesktopShortcuts: initialize flags using the default
          define (7f0c703)
        * IndicatorDesktopShortcuts: Use the proper way to create an AppInfo
          from command-line (0312ffa)

2013-04-09 Marco Trevisan (Treviño)

        * IndicatorDestkopShortcuts: add StartupNotify parameter in our
          internal fake .desktop file (4d64b71)
        * IndicatorDestkopShortcuts: add StartupNotify parameter in our
          internal fake .desktop file (bd9abfc)

2013-04-05 Marco Trevisan (Treviño)

        * IndicatorDestkopShortcuts: add
          indicator_desktop_shortcuts_nick_exec_with_context
          (2d418a6)
        * IndicatorDestkopShortcuts: fix indentation (07652a3)
        * IndicatorDestkopShortcuts: add missing include and deprecate old
          function (c539c37)
        * IndicatorDestkopShortcuts: add
          indicator_desktop_shortcuts_nick_exec_with_context
          (2fba148)

2013-03-25 Lars Uebernickel

        * indicator-ng: allow a dictionary as the root action's state
          (ffbb3c1)

2013-03-25 Charles Kerr

        * indicator-loader: add command line option to specify profile
          (b046c93)

2013-03-22 Charles Kerr

        * init the GError pointer to NULL (f25cc33)
        * introduce tab damage for consistency with the rest of
          indicator-loader.c (98cae79)
        * add the option to specify the profile from the command line
          (22d673c)

2013-03-21 Lars Uebernickel

        * indicator-ng: allow a dictionary as the root action's state
          (8232ab0)

2013-03-18 Mathieu Trudel-Lapierre

        * Revert "indicator-ng: allow a dictionary as the root action's
          state". (61d0f80)
        * Revert: indicator-ng: allow a dictionary as the root action's state
          (c5f002f)

2013-03-13 Lars Uebernickel

        * indicator-ng: allow a dictionary as the root action's state
          (daf0dc9)
        * indicator-ng: allow a dictionary as the root action's state
          (610b2cc)

2013-02-25 Automatic PS uploader

        * Releasing 12.10.2daily13.02.25-0ubuntu1 to ubuntu. (208d1ba)
        * Releasing 12.10.2daily13.02.25-0ubuntu1, based on r479 (5074c9d)

2013-02-22 Iain Lane

        * Install the gtk2 library into the multiarch directory.
          Fixes:
          https://bugs.launchpad.net/bugs/1131708. (3a73f29)
        * Use $(COMMON_CONFIGURE_FLAGS) instead of hardcoding (319a606)
        * Install shared library into correct (multiarch) directory (286882c)
        * Disable silent rules for more useful build logs (31368ce)

2013-02-19 Automatic PS uploader

        * Releasing 12.10.2daily13.02.19-0ubuntu1 to ubuntu. (150610d)
        * Releasing 12.10.2daily13.02.19-0ubuntu1, based on r477 (da40ae8)

2013-02-15 Michael Terry

        * Multiarch for most of libindicator is fine. But the indicators
          themselves should continue to be installed in the same
          (non-multiarch) directory, for historical reasons.
          Fixes:
          https://bugs.launchpad.net/bugs/1126360. (d24848f)
        * hard-code indicatordir to not use multiarch locations (6aea07d)

2013-02-15 Automatic PS uploader

        * Releasing 12.10.2daily13.02.15-0ubuntu1 to ubuntu. (85c8d1c)
        * Releasing 12.10.2daily13.02.15-0ubuntu1, based on r475 (cdfa9f5)

2013-02-14 Lars Uebernickel

        * Add IndicatorNg. (d05835e)
        * indicator-ng: add license header (40d7c42)

2013-02-06 Lars Uebernickel

        * indicator-ng: don't hide the indicator if the service is already
          running (88aa74b)
        * indicator-ng: try to restart the service when it crashes (f9f86fb)

2013-01-30 Lars Uebernickel

        * indicator-ng: simplify flow in initable_init (8ff25e5)

2013-01-25 Lars Uebernickel

        * trim-lcov.py: add license header (dce947b)
        * indicator-ng: use strlen instead of hard coding the length
          (c02297d)
        * indicator-ng: use indicator_image_helper (9c857a3)
        * indicator-ng: lazily allocate entry.label and entry.image (7048092)
        * indicator-ng: require header item to have x-canonical-type set
          (82ecfaa)

2013-01-24 Lars Uebernickel

        * indicator-ng: check return value of g_menu_model_get_item_attribute
          (f02ca5a)
        * indicator-ng: document error conditions in menu_changed (db1caf2)
        * indicator-ng: save unnecessary allocations by using "&" in
          g_variant_get (088b36b)
        * indicator-ng: show broken image when g_icon_for_string returns NULL
          (05535f5)
        * indicator-ng: use an IndicatorObjectEntry internally (f3f4e1f)

2013-01-23 Lars Uebernickel

        * Add trim-lcov.py (e096111)
        * indicator-ng: test indicator_ng_get_property (af0137c)
        * indicator-ng: more elaborate testing (0996bce)
        * indicator-ng: set name hint to the value of the service file's
          "Name" field (e07deff)
        * indicator-ng: use base->get_entries to get the invisible ones, too
          (739daae)
        * indicator-ng: auto start service if it's not running (ac0c809)

2013-01-22 Lars Uebernickel

        * indicator-ng: properly unset action group when the service
          disappears (67323d4)

2013-01-21 Lars Uebernickel

        * Add basic tests for indicator-ng (d84d6f7)
        * Make sure indicator-ng.h is installed (36e0fea)
        * indicator-ng: add getters (1585adb)
        * indicator-ng: add indicator_ng_new_for_profile (4b301ff)
        * indicator-ng: fix crash (tried to free a string with
          g_object_unref) (869d977)
        * indicator-ng: always set an accessible description to avoid
          imminent warning (af3ac65)
        * indicator-ng.h: use local include (ca52243)

2013-01-18 Lars Uebernickel

        * Bump gtk3 dependency for gtk_widget_insert_action_group (3822cf9)
        * Only build and use IndicatorNg in the gtk3 build (aaae4aa)
        * Add IndicatorNg (3a33240)

2012-11-26 Didier Roche

        * Add bootstrap message. (e796648)
        * add bootstrap message (7b8e551)

2012-11-26 Ted Gould

        * Import debian/ from lp:~ubuntu-desktop/libindicator/ubuntu.
          (810eada)

2012-11-22 Mathieu Trudel-Lapierre

        * Add and export DPKG_GENSYMBOLS_CHECK_LEVEL. (f77d6dd)
        * Add the proper Pre-Depends: multiarch to libindicator3-7. (93e0bd1)
        *   - Use calls to dh_install per-package to use the right source
          directories.;  debian/*.install: drop the debian/tmp/gtk*
          path elements and update for   multiarch. (5576bf0)
        * debian/compat: bump compat level to 9. (094593a)
        * Update Vcs-Bzr, Vcs-Browser and add a notice to uploaders.
          (1d6bc1d)

2012-11-21 Mathieu Trudel-Lapierre

        * Add a Build-Depends on gnome-common. (e16a126)
        * Override dh_autoreconf to run autogen.sh and not call configure.
          (5680639)
        * Drop Build-Depends on cdbs. (d1e3acb)
        * debian/rules:   - Convert to using the dh9 sequencer. (3d69e24)
        * Bump debhelper Build-Depends to (>= 9). (9ec2a25)
        * debian/control:   - Reorganize Build-Depends for clarity.   -
          Update style to be consistent with other indicator stack
          packages. (30aa94e)
        * Specify to bzr-builddeb to build the package in split mode.
          (7a3c457)
        * Import debian/ from lp:~ubuntu-desktop/libindicator/ubuntu
          (ac60524)

2012-09-19 Ken VanDine

        * releasing version 12.10.1-0ubuntu1 (85dbd2d)
        * Import upstream version 12.10.1 (96f010d)

2012-09-19 Charles Kerr

        * 12.10.1 (341548e)

2012-09-17 Didier Roche

        * releasing version 12.10.0-0ubuntu2 (2f35a94)
        * Backport a fix so that libroffice doesn't hang on on startup (LP:
          #1045372) (0dc2913)

2012-09-12 Charles Kerr

        * In libindicator, remove the cloak/decloak code in IndicatorObject
          to address Bug #1045372. (667fbaf)

2012-09-11 Charles Kerr

        * In tests/test-loader and tests/dummy-indicator-visible.c, support
          hiding & re-showing IndicatorObjectEntries by caching
          their parent widgetry instead of using
          gtk_widget_destroy() (00d0556)
        * No newline at end of file (ee19af5)
        * remove the cloak/decloak widget logic (bf9cf29)

2012-07-12 Sebastien Bacher

        * releasing version 12.10.0-0ubuntu1 (bdeeb47)
        * New upstream release. (d739399)
        * Import upstream version 12.10.0 (edcdb07)

2012-07-11 Charles Kerr

        * bump version to 12.10.0 (b1beb2c)

2012-06-19 Lars Uebernickel

        * merge lp:~charlesk/libindicator/fix-test-sources (d2f8fce)

2012-06-18 Charles Kerr

        * merge lp:~evgeni/libindicator/multiarch-same-devheaders so that we
          don't include build-time filenames in comments of the enum
          header files. (20cafa4)
        * fix copy-and-paste error in specifying the tests' source files
          (26dcee4)

2012-06-10 Evgeni Golov

        * don't include build-time filenames in comments of the enum header
          files (5d3f97c)

2012-04-23 Charles Kerr

        * merge lp:~charlesk/libindicator/cxx to constify the constructors
          for indicator_service_manager (1271439)

2012-04-22 Charles Kerr

        * indiator_service_manager_new*()'s name arguments were gchar*, make
          them const gchar* (670e6e0)

2012-04-11 Ken VanDine

        * releasing version 0.5.0-0ubuntu1 (f26bd55)
        * New upstream release.   * Validate images in
          image_helper_update() (LP: #946408) (c606a9a)

2012-04-11 Charles Kerr

        * releasing version 0.5.0-0ubuntu1~ppa1 (752101a)
        * New upstream release.   * Validate images in
          image_helper_update() (LP: #946408) (499bd67)
        * Import upstream version 0.5.0 (21ef9a5)
        * Sync from Ubuntu Desktop (0bd650d)
        * 0.5.0 (1cbe933) (tag: 0.5.0)
        * merge lp:~charlesk/libindicator/lp-946408 to safeguard against
          invalid images being passed to
          indicator_image_helper_update() (c721d3e)
        * in indicator_image_helper_update(), test the image argument with
          GTK_IS_IMAGE before using it. (bb571a4)

2012-04-05 Sebastien Bacher

        * releasing version 0.4.95-0ubuntu1 (d538aa4)

2012-04-04 Ted Gould

        * Fixing a merge artifact (696375c)
        * Merging Ubuntu Desktop (5a163f4)
        * releasing version 0.4.95-0ubuntu1~ppa1 (f9220e1)
        * New upstream release.   * Fix a free that shouldn't be (LP:
          #969360)   * Spelling mistake in error message (LP:
          #948391)   * Add coverage build targets   * Fix building
          AUTHORS and Changelog at dist time (d431c78)
        * Import upstream version 0.4.95 (c136bda)
        * 0.4.95 (f75080c) (tag: 0.4.95)

2012-04-03 Charles Kerr

        * merge lp:~allanlesage/libindicator/TDD to remove a dependency on
          gcovr, move gcov targets to their own makefile, and clean
          up .gcno files. (fae66e8)
        * merge lp:~charlesk/libindicator/lp-948391 to fix spelling/grammar
          errors in an error message. (2f67706)

2012-04-02 Charles Kerr

        * Fix spelling/grammar errors in an error message. (f7eab1e)
        * When using g_variant_get("&s...", &string), the string must not be
          free'd. (96c35f0)

2012-04-02 Sebastien Bacher

        * releasing version 0.4.94-0ubuntu2 (4a44539)
        * Revert r457 it's creating invalid free errors (486523c)

2012-04-01 Marco Trevisan (Treviño)

        * Setting again the variables as const (a9c0407)
        * Indicator Service Manager: we don't have to free values if got with
          &s from variant (c4b2952)

2012-03-30 Ken VanDine

        * releasing version 0.4.94-0ubuntu1 (5ce6cdf)
        * New upstream release.   * Fix a leaked GError (LP: #965459)   *
          Fix memory leak when the proxy's name changes. (63d1c95)

2012-03-29 Charles Kerr

        * releasing version 0.4.94-0ubuntu1~ppa1 (28d27ed)
        * New upstream release.   * Fix a leaked GError (LP: #965459)   *
          Fix memory leak when the proxy's name changes. (50933a9)
        * Import upstream version 0.4.94 (4ecaca4)
        * Sync from Ubuntu Desktop (452f2ab)
        * merge lp:~charlesk/libindicator/fix-disthook to fix auto-generation
          of AUTHORS and Changelog by looking for 'missing' in the
          directory where we told AC_CONFIG_AUX_DIR to put it.
          (5a839c4) (tag: 0.4.94)
        * look for 'missing' in ac_aux_dir rather than top_srcdir. (2eb70f4)

2012-03-28 Charles Kerr

        * 0.4.94 (922d781)

2012-03-27 Allan LeSage

        * Removed gcovr dependency, moved coverage targets to own makefile,
          cleaning up *.gcno. (76fc7f0)

2012-03-26 Charles Kerr

        * merge lp:~htorque/libindicator/fix-small-leak to fix a GError
          memory leak reported in lp bug #965459 (603ad6c)

2012-03-26 Hernando Torque

        * Free GError. (3440ebe)

2012-03-16 Charles Kerr

        * fix minor memory leak when the proxy name changes (742fa8c)

2012-03-08 Sebastien Bacher

        * releasing version 0.4.93-0ubuntu1 (9a23466)

2012-03-07 Ted Gould

        * releasing version 0.4.93-0ubuntu1~ppa1 (bbbe42a)
        * New upstream release.   * Fix branching past initialization of
          variables (LP: #939061)   * Support new FD.o Desktop
          Actions (LP: #942042)   * Fix valgrind error on unload
          (LP: #719457) (e34b660)
        * Import upstream version 0.4.93 (67872e2)
        * Merging in U. Desktop (c83d72a)
        * 0.4.93 (18d670b) (tag: 0.4.93)

2012-03-05 Charles Kerr

        * merge lp:~ted/libindicator/lp719457 for Bug #719457 (9dcb929)

2012-03-02 Ted Gould

        * Attaching bug (039c7d8)
        * Copying the name before using it to remove as it seems that the
          unwatch can cause the name to be free'd in some cases.
          Odd, but valgrind can find it (c3bd07e)
        * Support new FD.o Desktop Actions (dbaf540)

2012-03-02 Sebastien Bacher

        * releasing version 0.4.92-0ubuntu2 (94c7bd6)
        * Backport support for the fdo desktop action spec, that's required
          to get unity lists to work with the new syntax (lp:
          #942042) (0c90dd3)

2012-02-29 Charles Kerr

        * lp:~charlesk/libindicator/fix-939061 (54a3d1d)
        * silence Coverity warning "PW.BRANCH_PAST_INITIALIZATION - CID
          10615" reported in Bug #939061 (9e2278a)
        * tweak: use g_clear_object() instead of if-not-null-g_object_unref()
          (b645480)

2012-02-27 Ted Gould

        * Get the right group in exec too! (a69f559)
        * Handling the different group names when getting the name as well
          (f6d6509)
        * Update test desktop file (8c71262)
        * Creating a warning for the legacy support (19c48bd)
        * Adding a value for whether it should use the TargetEnvironment, I'm
          removing the warning because we don't care to fix old
          stuff anymore (7d3e660)
        * Use the appropriate list of nicks and groups to find our data now
          (52c42ef)
        * Figure out what kind of actions we have (4baf9b7)
        * Adding a state variable to track what kind of actions we have
          (f7e5502)
        * Attaching bug (a02d4de)
        * Changing our defines around to make sure to mark things the way
          that we think about them. (55b0614)

2012-02-23 Sebastien Bacher

        * releasing version 0.4.92-0ubuntu1 (f6f9209)
        * Merging shared upstream rev into target branch. (efe75e4)
        * Prepared upstream tree for merging into target branch. (cfa1adf)
        * Merging shared upstream rev into target branch. (164055c)
        * Prepared upstream tree for merging into target branch. (e305ff2)

2012-02-23 Ted Gould

        * releasing version 0.4.92-0ubuntu1~ppa1 (c28e242)
        * New upstream release.   * Removing unenforcable consts (LP:
          #937387)   * Explicitly add in gmodule as a required
          library (27b2576)
        * Import upstream version 0.4.92 (169093d)
        * Merge with U. Desktop (87c4364)
        * Merging shared upstream rev into target branch. (1474099)
        * Prepared upstream tree for merging into target branch. (c88ba65)
        * Merging shared upstream rev into target branch. (4de00dd)
        * Prepared upstream tree for merging into target branch. (54b8584)
        * 0.4.92 (69f15f7) (tag: 0.4.92)

2012-02-22 Ted Gould

        * Remove unenforcable consts (f29a183)
        * Attaching bug (fef88fa)
        * Removing unenforcable consts (975ee36)

2012-02-15 Sebastien Bacher

        * releasing version 0.4.91-0ubuntu3 (55ae526)
        * Restore revision dropped by error, not sure what happened with the
          vcs (a6436f6)
        * releasing version 0.4.91-0ubuntu2 (461dbdc)
        * Merging shared upstream rev into target branch. (2ac2e54)
        * Prepared upstream tree for merging into target branch. (93e5e7e)

2012-02-14 Ted Gould

        * releasing version 0.4.91-0ubuntu1~ppa3 (457b502)
        * Adjusting timeout so it'll build on the buildds too (4621a45)
        * Increasing the test timeout to ensure that's not our issue
          (0cad2e2)
        * releasing version 0.4.91-0ubuntu1~ppa2 (e5053ae)
        * debian/rules: Adding messages (17133c0)

2012-02-14 Sebastien Bacher

        * releasing version 0.4.91-0ubuntu1 (5a2f66b)
        * Import upstream version 0.4.91 (f8e24ae)

2012-02-14 Ted Gould

        * Explicitly listing gmodule as a library we're using (ee6a7f0)
        * releasing version 0.4.91-0ubuntu1~ppa1 (05f46d7)
        * debian/control, debian/rules:   * Adding in autoreconf support
          * Adding a check rule and requiring new build deps
          (7f1272a)
        * debian/control, debian/rules: Adding in autoreconf support
          (36b39c9)
        * Upstream Merge   * Explicitly add in gmodule as a required
          library (eb803e8)
        * Explicity add gmodule in the list of required libraries (45aebde)
        * Dropping debian/patches (b2a5f94)
        * New upstream release.   * Visibility fixes for indicators using
          that functionality   * Ensure that parent_object is more
          aggressively set   * Fix memory leak on groups of items in
          desktop files (40274af)
        * Import upstream version 0.4.91 (a820ba7)
        * Merge with Ubuntu Desktop (ca8b363)
        * 0.4.91 (f099181) (tag: 0.4.91)

2012-02-13 Lars Uebernickel

        * indicator_object_set_visible: only emit entry-{added,removed} when
          visibility actually changed (2a6c388)
        * indicator_object_dispose: remove unneeded list of entries (b2ca0db)
        * indicator_object_dispose: use _set_visible instead of
          reimplementing it (73c0659)
        * indicator_object_set_visible: no need to check for ENTRY_INIT
          (e7780ac)

2012-02-12 Lars Uebernickel

        * indicator_object_set_visible: only emit entry-{added,removed} when
          visibility actually changed (5f599a8)

2012-02-10 Ted Gould

        * Free groupname after usage (233fdd7)

2012-02-09 Daniel d'Andrada

        * Plug memory leak in parse_keyfile function. (2375490)

2012-02-03 Ted Gould

        * Be more agressive in ensureing the parent_object value is available
          everywhere. (238865c)

2012-02-03 Marco Trevisan (Treviño)

        * tests, DummyIndicatorSignaler: free the allocated memory. (7ae413b)

2012-01-26 Ken VanDine

        * releasing version 0.4.90-0ubuntu4 (b339871) (tag: 0.4.90-0ubuntu4)

2012-01-25 Ken VanDine

        * releasing version 0.4.90-0ubuntu3 (a98a0b6) (tag: 0.4.90-0ubuntu3)

2012-01-25 Marco Trevisan (Treviño)

        * Test loader: check also for parent changes (c87aff7)
        * Tests: update dummy signaler to work with real IndicatorObjectEntry
          (39cf870)
        * IndicatorObject: update object parent in any case. (1baaf28)

2012-01-25 Ted Gould

        * Merging with U. Desktop (8df8585)

2012-01-25 Marco Trevisan (Treviño)

        * Added better parent_object tests. (c26badd)
        * Indicator-Object: update the parent_object value only if the entry
          is valid. (c9df18b)
        * IndicatorObject: correctly initialize the parent object. (0373d6f)

2012-01-24 Ken VanDine

        * releasing version 0.4.90-0ubuntu2 (118a95a) (tag: 0.4.90-0ubuntu2)
        * releasing version 0.4.90-0ubuntu1 (6659abf) (tag: 0.4.90-0ubuntu1)
        * New upstream release.   * Support hiding and showing indicators
          * Track the parent object in the entry   * Adding activate
          function to include Window ID;  debian/control: Bumping
          ABI version of lib (2d9e6ff)

2012-01-24 Ted Gould

        * Silent bump (c2596f7)
        * releasing version 0.4.90-0ubuntu1~ppa1 (f64689a)
        * debian/control: Bumping ABI version of lib (f131f1f)
        * New upstream release.   * Support hiding and showing indicators
          * Track the parent object in the entry   * Adding activate
          function to include Window ID (b00b35a)
        * Import upstream version 0.4.90 (e81d0ec)
        * Merging from U. Desktop (fe22121)
        * 0.4.90 (dbccdd5) (tag: 0.4.90)

2012-01-23 Ted Gould

        * Bumping the ABI version (6f3976c)
        * Add visibility concept to the default indicator object (23e9995)
        * Put the parent pointer in the entry struct to make it easier for
          the implementers of the panel side (7935501)

2012-01-23 Charles Kerr

        * "bzr merge lp:indicator" + conflict resolution in tests suite
          (95daf10)
        * another iteration of the indicator-object visibility support patch,
          incorporating ideas from discussion with ted (4f4190f)

2012-01-20 Charles Kerr

        * fix bugs in IndicatorObject's visibility support. (8cb8b9f)

2012-01-19 Ted Gould

        * Checking to ensure the parent_object pointer gets set (a1ed503)
        * Adding a warning for entries that do not set their parent_object
          (e14c087)
        * Set the parent_object on the default entry (f2f9c5b)
        * Adding a parent object pointer to the entry (8a739e1)
        * Adding a window ID function to pass the window ID (1cf6a97)

2012-01-16 Ted Gould

        * Moving the function into the tester to making linking simpler
          (6a0f41a)
        * Adding a test to look to make sure the fallback works (f898563)

2012-01-14 Ted Gould

        * Add a function to swap out the window entry handler (2dfe3ff)
        * Getting the header in dist (da798a2)
        * Adding a test functioin for the entry func demmy indicator
          (7586398)
        * Mark the entry functions as called (b7c8a63)

2012-01-13 Ted Gould

        * Setting up entry functions (efcb3e6)
        * Adding some public values to know if functions were called
          (530b211)
        * Moving things into a shared header (347ab41)
        * Build a new dummy indicator (68c1666)
        * Adding test coverage checking (e3ce551)
        * Clearing the entry function pointers (0419bac)
        * Handling the activate_window function and going up the stack
          (a88097a)
        * Documenting what this stuff does (a6ed65a)
        * Adding an activate window function, that can also be virtual!
          (2bb19db)
        * Ignoring all the stuff we build (976209f)
        * Putting the GTK3 headers in a different directory (b58d9bf)
        * Adding ability to disable tests (c3c1ebb)

2012-01-13 Charles Kerr

        * Better implementation. (c52fbaa)

2012-01-12 Charles Kerr

        * initial revision for GSettings/GtkMenu visibility support (d3392a9)

2011-12-06 Allan LeSage

        * Added coverage reporting via gcov config and targets. (b1aebe5)

2011-11-22 Ken VanDine

        * debian/control   - set ubuntu-desktop VCS and maintainer
          (30ab1ed)
        * releasing version 0.4.1-1 (f1c0aaf) (tag: 0.4.1-1)

2011-11-20 György Balló

        * Use different directory for headers of gtk3 library (d126352)
        * Make building tests optional (c0ac60b)

2011-09-28 Ken VanDine

        * releasing version 0.4.1-0ubuntu1 (5834d28) (tag: 0.4.1-0ubuntu1)
        * New upstream release.   * Ensure loader doesn't use menu proxy
          (1a1fa5b)

2011-09-28 Ted Gould

        * releasing version 0.4.1-0ubuntu1~ppa1 (80e619f)
        * New upstream release.   * Ensure loader doesn't use menu proxy
          (86103c5)
        * Import upstream version 0.4.1 (e36cd22)
        * Merge U. Desktop (e33473c)
        * 0.4.1 (a5c7874) (tag: 0.4.1)

2011-09-20 Ken VanDine

        * releasing version 0.4.0-0ubuntu1 (4993a3c) (tag: 0.4.0-0ubuntu1)
        * New upstream release.   * Add libm to linking to fix FTBFS (LP:
          #840514) (ceba790)

2011-09-20 Ted Gould

        * Make sure our menus don't get proxied (6c215ec)

2011-09-19 Ted Gould

        * releasing version 0.4.0-0ubuntu1~ppa1 (2867575)
        * New upstream release.   * Add libm to linking to fix FTBFS (LP:
          #840514) (0ab41b7)
        * Import upstream version 0.4.0 (0b4f5b3)
        * Merging in U. Desktop (8ec147c)
        * 0.4.0 (f8f310d) (tag: 0.4.0)

2011-09-16 Ted Gould

        * Add in libm (fff5af0)

2011-09-03 Evgeni Golov

        * find and link libm (240eaf6)

2011-09-01 Steve Langasek

        * releasing version 0.3.93-0ubuntu2 (130ebff) (tag: 0.3.93-0ubuntu2)
        * Drop the Breaks: against old versions of libindicator and
          libindicator3; there are no file conflicts between the
          libraries, so this doesn't accurately reflect the package
          relationships but does make it harder to calculate
          upgrades from natty.  LP: #839098. (604acbf)

2011-08-11 Sebastien Bacher

        * releasing version 0.3.93-0ubuntu1 (4db9d2e) (tag: 0.3.93-0ubuntu1)
        * New upstream release. (871b89e)

2011-08-11 Ted Gould

        * releasing version 0.3.93-0ubuntu1~ppa1 (5600252)
        * New upstream release.   * Rescan icon theme if icon can't be
          loaded (0aaf53b)
        * Import upstream version 0.3.93 (7b63153)
        * 0.3.93 (e2b7e82) (tag: 0.3.93)

2011-08-10 Ted Gould

        * Check a reload of the icon theme if needed (0a66155)

2011-08-02 Aurelien Gateau

        * Ask GTK to rescan the icon theme if the wanted icon cannot be
          found. (1790510)

2011-07-29 Ted Gould

        * Don't make a new include directory based on GTK version (a51845f)

2011-07-21 Ken VanDine

        * releasing version 0.3.92-0ubuntu1 (8ee4d7d) (tag: 0.3.92-0ubuntu1)
        * setting to UNRELEASED (24063df)
        * New upstream release.   * Adding support for a secondary activate
          signal (7c76a87)

2011-07-21 Ted Gould

        * releasing version 0.3.92-0ubuntu1~ppa1 (23239f8)
        * Merge with U. Desktop (6c59bf9)
        * New upstream release.   * Adding support for a secondary activate
          signal (056b8a5)
        * Import upstream version 0.3.92 (5d457c5)
        * Making sure the lib builds before the tests or tools (e27e7f6)
        * 0.3.92 (0cee12c) (tag: 0.3.92)
        * Adding in secondary activate support (d3de40a)
        * Dropping the x and y paramaters from the secondary activate signal
          (4234bd3)

2011-07-15 Ken VanDine

        * releasing version 0.3.91-0ubuntu1 (69b8236) (tag: 0.3.91-0ubuntu1)
        * New upstream release.   * Fix signals with NULL entries in the
          loader   * Adding a comment for setting up debugging
          options   * Adding annotations for GIR files   * Fixing
          watchers hashtable to detect when we have none   * Fix
          testing so no tests are XFAIL anymore   * Adding a replace
          mode for testing indicator services   * Watching new
          services when the name switches (2801a02)

2011-07-14 Ted Gould

        * releasing version 0.3.91-0ubuntu1~ppa1 (8641c27)
        * New upstream release.   * Watching new services when the name
          switches (d2d9780)
        * Import upstream version 0.3.91 (6032a84)
        * 0.3.91 (c6d763c) (tag: 0.3.91)
        * Fixing the libindicator test suite (a6ea476)

2011-07-12 Ted Gould

        * Adding an env variable to put a service in replace mode (445e65a)
        * releasing version 0.3.90-0ubuntu2~ppa2 (7989399)
        * Upstream Merge   * Watching new services when the name switches
          (45d7404)
        * Watching when we do name switches (2e66ca5)
        * releasing version 0.3.90-0ubuntu2~ppa1 (aad5364)
        * Adding a replace mode for testing indicator services (37c5aa9)
        *   * Fixing watchers hashtable to detect when we have none   * Fix
          testing so no tests are XFAIL anymore (522f3c0)
        * Upstream Merge   * Fix signals with NULL entries in the loader
          * Adding a comment for setting up debugging options   *
          Adding annotations for GIR files (3d6738f)
        * Merging in U. Desktop (8b9fa18)
        * Adding in the shutdown function (1838bfc)
        * In replace mode we need to ask the other guy to shutdown and still
          wait for the name a bit. (5de36e3)
        * Adding in a property for being in replace mode (b412bfe)

2011-07-11 Ted Gould

        * Cleaning up removal of watchers as the string was getting free'd
          before it could get used to remove the entry from the
          hashtable.  Now using a destroy function as that is
          possible with GDBus but wasn't with dbus-glib (64c3e2e)
        * Define the bus well known type in the session.conf file (269f1a1)
        * Add the PC file instead of replace it (0c3a685)
        * Handle NULL entries without crashing (ee27186)

2011-07-09 Marco Trevisan (Treviño)

        * Added support for secondary activate signal: i.e. middle-click
          (6f1c8e0)

2011-07-07 Ted Gould

        * Installing the debugging env entries in shared directory instead of
          the executable one. (ca29a76)
        * Fixing doc string (2016fdf)
        * Anotating the get entires function properly. (d7f14c3)

2011-07-08 Marco Trevisan (Treviño)

        * Merging with trunk (5f78a77)

2011-07-08 Robert Ancell

        * Annotate the return value of indicator_object_get_entries so that
          the type in the list is known, also fix typo in docstring
          (801419b)

2011-07-07 Ken VanDine

        * releasing version 0.3.90-0ubuntu1 (b414e0f) (tag: 0.3.90-0ubuntu1)
        * debian/rules   - Simplify the dual builds with cdbs   - Fixed
          package names to match soname;  debian/*.install fixed
          paths to work with the dual builds chang.
          tools/Makefile.in   - Fixed path for xsessiondi.
          debian/control   - Fixed package names to match soname
          (c292980)
        * Make xsessiondir = $(pkgdatadir) (d23b4e8)
        * New upstream release.   * Build Fixes   * Adding license to test
          files (LP: #684886)   * Bump API/ABI versions
          appropriately and make easier to edit them in     the
          future   * Adding a name-hint to the indicator entries   *
          Merging scroll functions into a single good one (LP:
          #804618);  debian/*install, control: Changing ABI version
          number bump in package names;  debian/rules: Making GTK2
          the special case as GTK3 is default now;  debian/*install:
          Fixing pkgconfig file names (95d709f)
        * Changed to help message for --with-gtk to reflect the new default
          (dedf43d)

2011-07-07 Ted Gould

        * Making the box function conditional on GTK version (352c01a)
        * releasing version 0.3.90-0ubuntu1~ppa1 (8677620)
        * Fixing the box usage (1e09013)
        * Handling the right box for the right version of GTK (14cdff4)
        * debian/*install: Fixing pkgconfig file names (24123eb)
        * debian/*install, control: Changing ABI version number bump in
          package names;  debian/rules: Making GTK2 the special case
          as GTK3 is default now (f44a6bc)
        * New upstream release.   * Build Fixes   * Adding license to test
          files (LP: #684886)   * Bump API/ABI versions
          appropriately and make easier to edit them in     the
          future   * Adding a name-hint to the indicator entries   *
          Merging scroll functions into a single good one (LP:
          #804618) (709208d)
        * Import upstream version 0.3.90 (c103417)

2011-07-06 Ted Gould

        * 0.3.90 (9cca8d7) (tag: 0.3.90)
        * Cleaning up the built pc file (cce6c17)
        * Switch to using gtk_box_new() (6f2f147)
        * Making some test XFAIL and attaching to bugs (fb0fab8)
        * Adding headers to tests (b0f700d)
        * Adding license info to [ch] files (2d3893c)
        * Sync to U. Desktop (9a18c1c)
        * Changing the API and ABI versioning slightly (02fb5cb)
        * Adding in the name hint for the indicators (e2a324a)

2011-07-05 Ted Gould

        * Setting default GTK version to 3 (173c8a7)
        * Changing the pkgconfig file version to include the API version
          (f5575b5)
        * Clearing our local name_hint and ensuring we fill it if a function
          is provided. (f837b4b)
        * Adding a get name hint function as well. (26c580f)
        * Adding the naming hint to the entry structure (7797504)
        * Making the API and ABI versions variables (746cf4e)
        * Adding another level of .in for the pc files. (f3dc285)
        * Switching to single scrolling event. (5a535d1)

2011-07-02 Marco Trevisan (Treviño)

        * Merging "scroll" and "scroll-entry" into the "entry-scrolled"
          signal (8881229)

2011-06-29 Ken VanDine

        * releasing version 0.3.22-0ubuntu2 (36fb97c) (tag: 0.3.22-0ubuntu2)

2011-06-16 Ted Gould

        * Updating autotools (5fdfbbe)

2011-06-15 Javier Jardón

        * configure.ac: Generate xz tarballs with pax format by default
          (9adf0b1)
        * Update autotools configuration (c8c7cf8)

2011-03-23 Ken VanDine

        * releasing version 0.3.22-0ubuntu1 (052a740) (tag: 0.3.22-0ubuntu1)

2011-03-23 Ted Gould

        * releasing version 0.3.22-0ubuntu1~ppa1 (97e2fed)
        * New upstream release. object is in. (LP: #703555) (47a97e2)
        * Import upstream version 0.3.22 (50607d3)
        * 0.3.22 (f9f5cee) (tag: 0.3.22)
        * Adding API to know what the environment the indicator is in
          (6f1e50b)

2011-03-22 Ted Gould

        * releasing version 0.3.21-0ubuntu2~ppa1 (a774a41)
        * Upstream Merge   * Adding the ability to know the environment the
          indicator     object is in. (118b8f0)
        * Sync U. Desktop (a075227)
        * Adding a nice little checking function (a995a11)
        * Adding an environments variable and make a lifecycle for it.
          (5712d44)
        * Getting some stub functions in (8673e8f)
        * Making the environments a list of strings (baf04be)

2011-03-16 Ken VanDine

        * releasing version 0.3.21-0ubuntu1 (1b0f902) (tag: 0.3.21-0ubuntu1)

2011-03-16 Ted Gould

        * releasing version 0.3.21-0ubuntu1~ppa1 (b36a867)
        * New upstream release. ∘ Don't check for TargetEnvironment on the
          desktop group (c393bc6)
        * Import upstream version 0.3.21 (e2b7096)
        * Merge with U. Desktop (54ae143)
        * 0.3.21 (c245779) (tag: 0.3.21)
        * Fix checking for target environment on the desktop group (bbae0db)
        * Make sure not to use TargetEnvironment on the desktop group
          (690ffa9)

2011-03-03 Ken VanDine

        * releasing version 0.3.20-0ubuntu1 (5b51dc5) (tag: 0.3.20-0ubuntu1)

2011-03-03 Ted Gould

        * releasing version 0.3.20-0ubuntu1~ppa1 (879dc15)
        * New upstream release.   * Use the "TargetEnvironment" key in
          shortcuts (53895da)
        * Import upstream version 0.3.20 (48d8752)
        * 0.3.20 (12047a5) (tag: 0.3.20)
        * Use the TargetEnvironment key (dd2660b)
        * Merging in Robert's branch (440c893)
        * Merge from U. Desktop (f0e21d0)

2011-03-02 Ted Gould

        * Removing warning that there are no shortcuts, that's a valid thing
          to have. (61e9b95)
        * Adding a target environment key and checking for that over others.
          (9b34e7c)

2011-02-23 Ken VanDine

        * releasing version 0.3.19-0ubuntu3 (f417427) (tag: 0.3.19-0ubuntu3)
        * releasing version 0.3.19-0ubuntu2 (58dbd1d) (tag: 0.3.19-0ubuntu2)

2011-02-23 unknown

        * debian/control:   - Use new GTK3 package naming (38d7280)

2011-02-17 Ken VanDine

        * releasing version 0.3.19-0ubuntu1 (04397e7) (tag: 0.3.19-0ubuntu1)

2011-02-17 Ted Gould

        * releasing version 0.3.19-0ubuntu1~ppa1 (6ca27e8)
        * debian/control: Adding Breaks for the previous library rev so that
          users don't end up with systems that use both. (4447040)
        * debian/*: Changing the library major version from 2 to 3 (2dae441)
        * New upstream release. ∘ Adding in a11y description support ∘ Fixing
          distcheck (LP: #587811) (20ef744)
        * Import upstream version 0.3.19 (7840128)
        * Merging in U.Desktop (6c89ab0)
        * 0.3.19 (27d0798) (tag: 0.3.19)

2011-02-16 Ted Gould

        * Returning reserveds as we're breaking ABI anyway (0cfa5a8)
        * Bumping the major version of the lib and the indicator directory
          (518f847)
        * Merging support for having an accessible description (01fe1bc)
        * Fixing makefile to include all the necissary files in dist
          (2b78c2f)

2011-02-15 Ted Gould

        * Adding the service.in files as well (e137b60)

2011-02-15 Sebastien Bacher

        * Add session.conf.in to dist (27cdc75)

2011-02-08 Luke Yelavich

        * accessible_name -> accessible_desc in tests as well (a512745)
        * accessible_name -> accessible_desc to better reflect the use of
          the content.;  Add accessible-desc-update signal so that
          indicators can tell   indicator-applet/unity that the
          accessible description has changed (f593012)

2011-02-01 Luke Yelavich

        * use const gchar for variable and prototype (855d354)
        * Merge from trunk (d50d1bb)

2011-01-27 Ken VanDine

        * releasing version 0.3.18-0ubuntu1 (326b5bf) (tag: 0.3.18-0ubuntu1)

2011-01-27 Ted Gould

        * releasing version 0.3.18-0ubuntu1~ppa1 (1246174)
        * debian/rules: Updating shlibs (4a4ca1e)
        * New upstream release.   * Adding a signal for scrolling that
          includes the entry (517ff3c)
        * Import upstream version 0.3.18 (b22f471)
        * 0.3.18 (9ac5519) (tag: 0.3.18)
        * Adding a signal for scrolling that includes the entry (ded377c)

2011-01-27 Marco Trevisan (Treviño)

        * Removed typo in code. (d903523)
        * Added support for "signal-entry" signal (5873fe7)

2011-01-18 Luke Yelavich

        * Add accessible_name variable in indicator entry structure (9215e19)

2011-01-14 Ted Gould

        * releasing version 0.3.17-0ubuntu1~ppa1 (7f4196b)
        * Sync to Ubuntu Desktop (5400cb9)
        * New upstream release.   * Fixing catching services dropping off
          (b5161b9)
        * Import upstream version 0.3.17 (fde4196)
        * 0.3.17 (ab0f0ab) (tag: 0.3.17)

2011-01-13 Ted Gould

        * Use dbus name watches instead of g-owner-change signal for watching
          for restarts. (afe5430)

2011-01-13 Michael Terry

        * use actual DBus NameOwnerChanged interface rather than GDBus's
          higher level signal because that one only works for
          well-known names (084d3e8)
        * fix basename issue when make is given full path (4098f74)

2011-01-13 Sebastien Bacher

        * releasing version 0.3.16-0ubuntu1 (3814e3d) (tag: 0.3.16-0ubuntu1)

2011-01-13 Ted Gould

        * releasing version 0.3.16-0ubuntu1~ppa1 (b988044)
        * Syncing to upstream (3f20962)
        * New upstream release. (917061a)
        * Import upstream version 0.3.16 (22a9ca4)
        * 0.3.16 (ee32949) (tag: 0.3.16)

2011-01-10 Ted Gould

        * releasing version 0.3.15-0ubuntu3~ppa2 (cf88225)
        * Final GDBus port (bd88281)
        * debian/control: Dropping dbus-glib as a build-dep (990356c)
        * Upstream Merge:   * GDBus Port;  autogen.sh * debian/control:
          Migrating library versions from 1 to 2 (6a01298)
        * Adding a signal for the menu being closed. (38af4e8)
        * Fixing doc strings (2b6655f)
        * Porting to GDBus (48db67a)

2011-01-09 Ted Gould

        * Making the test suite compile again (2bf1edb)
        * Using the GCancellable to detect if we're already creating a proxy
          so that we don't do it twice. (4a3d68b)
        * Using variant_unref instead of object_unref as it's a variant
          (664e39b)
        * Adding a virtual function for closing the menu and a wrapper for
          it. (a17110e)
        * releasing version 0.3.15-0ubuntu3~ppa2~gdbus1 (f8bea0d)
        * Reverting this change made by distro (48fb94f)
        * Marshaller fixes (bea872d)
        * Might need these (13a284f)
        * debian/control: Migrating library versions from 1 to 2 (7404425)
        * autogen.sh (c6cd9bb)
        * Upstream Merge:   * GDBus Port (6b2531c)
        * Making getting the proxy and watching cancellable so that we don't
          get weird crashes. (8d3f43f)
        * Adding in the ability to cancel the connection on short lived
          objects. (2fb32b9)

2011-01-07 Ted Gould

        * Removing a test that is broken at a lower level (9911397)
        * Disabling the launch test temporarily as it seems broken in GLib
          (64ef206)
        * Getting test suite build fixes (ac7444c)
        * Syncing up to trunk (dc5880f)
        * Switching to the session bus (2bbbabc)
        * Out of order parameters. (32515c5)
        * Fixing the linking of the tests to the right libs (e837ae5)
        * Adding in creating the interface info from the XML files (20f3cbb)
        * Replacing the service proxy with a brand new GDBus one (70bfa89)
        * Ignoring the new files (a6e9bff)
        * Removing the bus and dbus_proxy variables as we won't need them
          anymore. (037ed98)
        * Switching around headers to the new world order (9552d2d)
        * Instead of setting up a proxy to watch the watcher we're setting up
          a bus name watch on each one. (33afd01)
        * Little clean-ups the compiler found now that it's more happy.
          (991b87f)
        * Switch over to getting the GDBus bus instead of the dbus-glib one
          (2696619)
        * Removing unused prototypes (d75fce1)
        * Fleshing out the bus_method_call functions and tying them into the
          traditional start points from dbus. (4607834)
        * Switching the way that we get a name on dbus and removing the
          dbus_proxy which was used for this previously. (30703e3)
        * Setting up the VTable (844bccb)
        * Switching the registration of the object over. (6ff24e1)
        * Parsing the XML file for the interface description on class init
          (0627083)
        * Removing the dbus-glib headers (55ae3fd)
        * Changing the way the dbus xml is handled. (977ed23)

2011-01-06 Ted Gould

        * Fixing the GTK3 include path. (f7b8662)

2011-01-06 Ken VanDine

        * fixed the includedir (c30de62)

2011-01-06 Ted Gould

        * Fixing build source path and build a GTK3 loader (8877308)
        * Adding an important field to relate to when to show the indicator.
          (7a02225)
        * Removing dbus-glib from the build (71e8858)

2011-01-04 Ted Gould

        * Adding a function to check whether we should show the indicator
          with priority. (5de24f6)
        * Making it a real signal now (9497666)
        * Adding a show now state to indicate priority. (18a5e64)

2010-12-08 Ted Gould

        * releasing version 0.3.15-0ubuntu3~ppa1 (356af1c)
        * debian/libindicator3-dev: Adding in the include files for this
          version of the library. (d85d476)
        * debian/libindicator-tools: Removing indicator-loader3 (8dd8160)
        * Merging in dual build from Ubuntu Desktop (809366b)

2010-12-06 Ken VanDine

        * releasing version 0.3.15-0ubuntu2 (c5c78aa) (tag: 0.3.15-0ubuntu2)

2010-12-03 Ken VanDine

        * releasing version 0.3.15-0ubuntu1 (1bce6ba) (tag: 0.3.15-0ubuntu1)

2010-11-24 Ken VanDine

        * removed empty dir (5247eb9)
        * debian/rules   - Added build targets to build with gtk3 enabled
          in additional to     default build with gtk.
          debian/control   - Updated build depends to support
          building with gtk+-3.0   - Added dh-autoreconf build
          depends   - Added libindicator3-1, libindicator3-dev,
          libindicator3-tools binaries     binarie.
          libindicator/Makefile.am and tools/Makefile.am   - Fixes
          needed for building with-gtk=3 (8915dd5)
        * Use abs_srcdir to find template files (fbef9e6)
        * Build indicator-loader3 (b0c8eb1)
        * New upstream release.   * Adding a small file to set debugging
          environment variables   * Allowing to build for GTK 2/3
          and build parallel libraries;  debian/control: Adding
          package libindicator-debugenv (1a4eadc)

2010-11-11 Ted Gould

        * releasing version 0.3.15-0ubuntu1~ppa1 (e87aa8f)
        * New upstream release.   * Allowing to build for GTK 2/3 and build
          parallel libraries (3f4743e)
        * Import upstream version 0.3.15 (df21e79)
        * 0.3.15 (7d8375c) (tag: 0.3.15)
        * Fixing the ignore file tarball matching (db16c1f)
        * Merging in the GTK3 basis for the build (e6a847b)
        * Making sure to get both pc files in the tarball (10d7e22)
        * Checking for deprecations and making sure we check on distcheck
          (75672d5)
        * Putting the GTK3 indicators in a different directory. (5c848a1)
        * Updating ignore for the GTK3 stuff (40d11e1)
        * Merging in trunk to solve conflicts (69960b2)

2010-10-15 Ted Gould

        * releasing version 0.3.14-0ubuntu2~ppa1 (273cfca)
        * debian/control: Adding package libindicator-debugenv (d6160f5)
        * Autogen (32b0c1c)
        * Upstream Merge   * Adding a small file to set debugging
          environment variables (917a1ae)
        * Merging in Ubuntu desktop (879ce43)
        * Adding a file to have the debugging environment variables (022e4bf)
        * Add mean comment (b877951)
        * Adding a number in the name (0f99ed2)
        * Installing the environment file in the session dir (2e3ea76)
        * All the environment flags we should set for debugging (fc94eab)

2010-10-06 Michael Terry

        * instead of always building gtk2 and gtk3, add a --with-gtk= flag to
          configure to specify which to build with (ecc6acd)

2010-09-22 Didier Roche

        * releasing version 0.3.14-0ubuntu1 (948cb8e) (tag: 0.3.14-0ubuntu1)
        * redo removed adjustements (98f804c)

2010-09-21 Ted Gould

        * releasing version 0.3.14-0ubuntu1~ppa1 (ac662a1)
        * New upstream release.   * Adding a function to signal a menu is
          shown   * Changing indicator directory to '4' (3acdbe7)
        * Import upstream version 0.3.14 (b91aaa9)
        * 0.3.14 (558a37d) (tag: 0.3.14)
        * Changing AUTHORS to mention it's built (53e57ef)
        * Adding dist hooks for AUTHORS and ChangeLog (25d85a1)
        * Merging in Debian branch (137e0f1)
        * releasing version 0.3.13-0ubuntu2~ppa2 (32bad82)
        * Updating with Desktop version and undoing some changes. (bd75a2c)
        * Setting right VCS directories (027d9ed)
        * Drop duplicate changelog entry (6b3ded7)
        * Merge from Ubuntu Desktop (c5216ef)

2010-09-21 Didier Roche

        * ppa version (4b5bf4f)
        *   - rename to soname bump;  debian/libindicator1.install: rename to
          soname bump;  debian/rules: update MAKESHLIBS_ARGS
          (f7bd202)
        * debian/control:   - put the Vcs-Bzr to point the right official
          branch (5ca6086)
        * debian/source:   - don't use quilt format, it's making the daily
          build not working (c667aaf)

2010-09-19 Ted Gould

        * releasing version 0.3.13-0ubuntu1~ppa3 (2af3961)
        * debian/rules:   * Dropping the simple patch system   * Changing
          the shlibs to libindicator1 (a006528)
        * releasing version 0.3.13-0ubuntu1~ppa2 (3e7cedb)
        * Upstream Merge   * Adding a function to signal a menu is shown
          * Changing indicator directory to '4';  debian/control:
          Switching from libindicator0 to libindicator1   as we've
          broken ABI.  Conflicting with libindicator0 to make
          upgrade simpler as it doesn't make sense to have both
          installed.;  Autogen update (49b7043)
        * Sync to trunk (bf38aa8)
        * Adding in the about-to-show signal (982c91c)

2010-09-17 Ted Gould

        * debian/control: Replaces really needs to be conflicts.  You don't
          want both of these. (daaf146)
        * releasing version 0.3.13-0ubuntu1~ppa2~ats3 (8d7fd13)
        * Autogen update (e51d89f)
        * releasing version 0.3.13-0ubuntu1~ppa2~ats2 (aafdfdf)
        * Upstream Merge   * Making the library different (fb8a5c2)
        * Adding some version information so we don't need a conflicts
          (03641dc)

2010-09-16 Ted Gould

        * releasing version 0.3.13-0ubuntu1~ppa2~ats1 (5be1cb6)
        * Changing indicator directory to '4' (7cabb61)
        * Changing indicator directory to '4' (99dc263)
        * debian/control: Switching from libindicator0 to libindicator1 as
          we've broken ABI. (afe60bd)
        * Upstream Merge   * Adding a function to signal a menu is shown
          (ebe26f6)
        * Creating a callback on the loader to signal the event press down to
          the entry. (6269aec)
        * Fleshing out the entry activate function (daffbe6)
        * Breaking the ABI and adding a subclassable function. (64db4d0)
        * Adding a function to push activate back down. (90b4c19)

2010-09-15 Ken VanDine

        * releasing version 0.3.13-0ubuntu1 (617263e) (tag: 0.3.13-0ubuntu1)

2010-09-15 Ted Gould

        * releasing version 0.3.13-0ubuntu1~ppa1 (0bcacdc)
        * New upstream release. (a2df60e)
        * Import upstream version 0.3.13 (b675da7)
        * 0.3.13 (bc8ba95) (tag: 0.3.13)
        * Printout on menu showing in the loader (c587ca3)
        * Putting a printout in for showing menus. (b933e7c)

2010-09-14 Ted Gould

        * releasing version 0.3.12-0ubuntu2~ppa1 (74b347a)
        * Flipping PPA version around (ed40c3c)
        * Merge with Ubuntu Desktop (06c1df5)
        * releasing version 0.3.12-0ubuntu1~ppa2 (f09d026)
        * Upstream Merge   * Adding a menu_show signal (4e26272)
        * Adding a menu_show signal (f0cd004)
        * Adding in the signal for the menu showing (69221d8)
        * Forgot the signal name (06b5084)
        * Adding slot for the menu show signal (98ec2f3)

2010-08-18 Ken VanDine

        * releasing version 0.3.12-0ubuntu1 (ab54852) (tag: 0.3.12-0ubuntu1)

2010-08-18 Ted Gould

        * releasing version 0.3.12-0ubuntu1~ppa1 (8839b12)
        * Merging in Ubuntu Desktop branch (6152054)
        * New upstream release.   * Removing a g_error that was breaking
          Unity on failed icons (d097561)
        * Import upstream version 0.3.12 (5c85a79)
        * 0.3.12 (7df0fe9) (tag: 0.3.12)
        * Fixing a g_error so we don't kill unity (3a8fac7)

2010-08-16 Ted Gould

        * Changing the message to a warning and clearing the GtkImage.
          (6878f17)

2010-08-13 Ted Gould

        * Adding debug flag (6a055d8)

2010-08-13 Sebastien Bacher

        * releasing version 0.3.11-0ubuntu2 (79f7355) (tag: 0.3.11-0ubuntu2)

2010-08-13 Mikkel Kamstrup Erlandsen

        * Add an --enable-debug flag to configure script that forces a -g to
          gcc (89924de)

2010-08-12 Ken VanDine

        * releasing version 0.3.11-0ubuntu1 (25e77dc) (tag: 0.3.11-0ubuntu1)

2010-08-12 Ted Gould

        * releasing version 0.3.11-0ubuntu1~ppa1 (1c80632)
        * New upstream release.   * Allowing absolute paths in the image
          name (LP: #564034) (ccf75ca)
        * Import upstream version 0.3.11 (94a9465)
        * 0.3.11 (53265a3) (tag: 0.3.11)
        * Allowing for absolute file names for icons. (e9c09c5)

2010-08-09 Karl

        * Added absolute filename fixes (bec9f56)

2010-07-25 Evgeni Golov

        * Merging new upstream release from Ubuntu.;  New upstream release.
            * Fixing unwatching crash (LP: #603489)   * Adding
          configurable timeout for slow test systems (ff06597) (tag:
          0.3.10-1)
        * Merge lp:~ubuntu-desktop/libindicator/ubuntu;  New upstream
          release.   * Fixing unwatching crash (LP: #603489)   *
          Adding configurable timeout for slow test systems
          (21ba038)

2010-07-15 Ted Gould

        * Merge from Debian (13ebc6d)
        * Updating to Ubuntu Desktop (e5080c7)

2010-07-15 Ken VanDine

        * releasing version 0.3.10-0ubuntu1 (8c56a89) (tag: 0.3.10-0ubuntu1)

2010-07-15 Ted Gould

        * releasing version 0.3.10-0ubuntu1~ppa1 (c6b0ab3)
        * New upstream release.   * Fixing unwatching crash (LP: #603489)
          * Adding configurable timeout for slow test system.
          Merged in fix for (LP: #603489) (ae07d57)
        * Import upstream version 0.3.10 (081637a)
        * Sync with ubuntu desktop (6c7db76)
        * 0.3.10 (362a2d7) (tag: 0.3.10)

2010-07-14 Evgeni Golov

        * Standards-Version: 3.9.0 (8b7fa3f) (tag: 0.3.9-1)
        * Add "Don't drop debian/source/*" to the changelog (55e4c2c)
        * Merging new upstream release and some changes from Ubuntu.
          (b4d1461)
        * Merging lp:~ubuntu-desktop/libindicator/ubuntu (d14f25a)

2010-07-13 Ted Gould

        * Adding a configurable timeout by environment variable. (d71fe46)

2010-07-12 Ted Gould

        * Adding a new variable to adjust the time of the kill switch.
          (bf315eb)

2010-07-09 Ken VanDine

        * releasing version 0.3.9-0ubuntu2 (b52f070) (tag: 0.3.9-0ubuntu2)

2010-07-09 Ted Gould

        * releasing version 0.3.9-0ubuntu2~ppa1 (e102f84)
        * Upstream merge   * Fixing unwatching crash (LP: #603489)
          (d8bd40d)
        * Fixing unwatching lookups. (17a29ea)
        * We want the key not the value. (c7eee08)
        * Taking it to the next level with impoliteness. (ed191e6)
        * Lots of impoliteness to make sure. (5750308)
        * Adding an impolite manager. (b0360dd)
        * Bug (baa324f)
        * Adding in the unwatching test (b0a56e9)
        * A couple debug messages to make the test easier to read the output
          from. (b43f81d)
        * Up to 5 watchers. (dceee48)
        * Longer timeout (990a881)
        * Okay, we need our own service too.  Bah. (7c7b497)
        * Delaying the watchers to ensure that we don't dbus activate, and
          removing the session.conf to even allow for that.
          (56dd41e)
        * Starting the service ourselves. (5731c1e)
        * Ignoring the new builds. (054704d)
        * Making a new manager (6786532)
        * Start a multi watch test (01130c5)
        * Uhg, wrong branch (b973537)
        * Stop asking for the name, instead let's find it on our own.
          (74a24d7)
        * A could of protections for the core. (dac4891)
        * Sync to Ubuntu Desktop (fe4e5b7)
        * Freeing the service. (613ad62)

2010-07-08 Sebastien Bacher

        * releasing version 0.3.9-0ubuntu1 (dc60b53) (tag: 0.3.9-0ubuntu1)

2010-07-08 Ted Gould

        * releasing version 0.3.9-0ubuntu1~ppa1 (3fc3179)
        * New upstream release. (7957aca)
        * Import upstream version 0.3.9 (3b191f9)
        * 0.3.9 (bc5e925) (tag: 0.3.9)
        * Fixing signals so that our tests pass (3899f93)
        * Documenting the choices of not having a nice callback func.
          (7412490)
        * Use the same function so we know everything is all right. (647f8ea)
        * Unreffing the objects in dispose and ensuring we disconnect the
          signals first. (974328f)
        * Disconnecting signal before removing from hashtable so we don't try
          twice. (46c8b3f)
        * releasing version 0.3.8-2ubuntu1~ppa3 (2b3087f)
        * Make it so that a watcher dying is the same as unregistering.
          (fc10497)
        * Merge Upstream   * Removing checking for style properties that
          aren't used. (70f8170)
        * Sync to trunk (5c28cb2)
        * Shutdown services when watchers leave the bus. (5691966)

2010-07-06 Ted Gould

        * releasing version 0.3.8-2ubuntu1~ppa2 (359c670)
        * Upstream Merge   * Make it so that a watcher dying is the same as
          unregistering. (8314197)
        * Creating a callback for the destory signal, but then moving the
          unwatch into a core function so that we can call it.
          (dd7106e)
        * Actually creating a proxy to see if we can detect the watcher going
          away. (d23ca44)
        * Making ths bus tracked in the private structure (632c3f9)
        * Switching the watchers data structure over to a hashtable.
          (8a12556)
        * Removing unused style check (96faa1e)
        * Removing the style lookup that wasn't used. (149de10)

2010-06-19 Michael Terry

        * don't use 3.3 version, rather use indicator3 (923a1d5)
        * first pass at providing a gtk3 version (322884d)

2010-06-16 Ted Gould

        * releasing version 0.3.8-2ubuntu1~ppa1 (589e659)
        * Merge debian changes 	* Drop debian/source/*
          debian/control: Switch VCS for this branch to be the
          indicator   applet developers branch.;  Revert cdbs drop,
          as requested by the Ubuntu maintainers.;  Update
          Maintainer and Vcs-* fields for pkg-ayatana.;  Merge
          Ubuntu package into Debian.   Closes: #54999.
          debian/copyright:   + Update to machine readable format.
          debian/control:   + Drop cdbs Build-Dep, bump debhelper to
          >=7.   + Standards-Version 3.8.4.   + Update Vcs-* fields.
            + Drop GNOME from Description, the package is not GNOME
          specific.   + Slightly update Description, thanks lintian.
          * debian/rules:   + Use minimal debhelper 7 rules without
          cdbs.   + Disable tests for now, they fail (launchpad
          587811);  debian/source/format:   + Add file, make package
          3.0 (quilt). (c055d0f)
        * Sync to Ubuntu Desktop (b4feaef)

2010-06-16 Evgeni Golov

        * Update Maintainer and Vcs-* fields for pkg-ayatana. (34b4a4d)
        * Revert cdbs drop, as requested by the Ubuntu maintainers. (e3df283)
        * Apply 0.3.8-1 changes (30f1ae4) (tag: 0.3.8-1)

2010-05-06 Ted Gould

        * Dummy commit (c77d719)

2010-04-09 Sebastien Bacher

        * releasing version 0.3.8-0ubuntu1 (ec36577) (tag: 0.3.8-0ubuntu1)

2010-04-09 Ted Gould

        * releasing version 0.3.8-0ubuntu1~ppa1 (478b7f7)
        * New upstream release.   * Adding template files to tarball
          (a662e1a)
        * Import upstream version 0.3.8 (105fa99)
        * releasing version 0.3.7-0ubuntu1~ppa1 (3e9180a)
        * 0.3.8 (9530995) (tag: 0.3.8)
        * Disting the templates. (882ef71)
        * New upstream release. (6c48a23)
        * Import upstream version 0.3.7 (97035da)
        * No merging (e9392e9)
        * 0.3.7 (ee0f45f) (tag: 0.3.7)
        * Fixing the desktop test to make it more reliable. (588efad)

2010-04-06 Ted Gould

        * releasing version 0.3.6-0ubuntu2~ppa1 (6262d6f)
        * Merge from Ubuntu desktop (a57b84e)
        * Upstream merge   * Use the domain in desktop files for shortcuts
          (LP: #549322) (2eb97c2)
        * Translating the shortcuts of the actions based on the desktop file
          translation domains. (8e19cd3)
        * Typo (22de798)

2010-04-05 Ted Gould

        * releasing version 0.3.6-0ubuntu1~ppa2~shortcutdomain2 (e0f5fb7)
        * Upstream merge   * Chnages requested by pitt (4213bc2)
        * Switching to only use the g_dgettext version if the locale_string
          function doesn't change the string from the normal lookup
          (and we have a domain to look in). (1200f51)
        * Make it so that we check the GNOME-Gettext-Domain as well (e900b4c)

2010-04-02 Ted Gould

        * releasing version 0.3.6-0ubuntu1~ppa2~shortcutdomain1 (49c5444)
        * Upstream merge   * Use the domain in desktop files for shortcuts
          (4d6575b)
        * If we don't have a domain just use the locale function, otherwise
          we need to use that domain to get the translation.
          (20e03af)
        * Adding a private variable for the translation domain and grabbing
          it from the keyfile. (5d02c0c)

2010-03-18 Sebastien Bacher

        * releasing version 0.3.6-0ubuntu1 (0cf6e60) (tag: 0.3.6-0ubuntu1)

2010-03-18 Ken VanDine

        * Upstream release 0.3.6   * Adding in scroll signals for the
          indicators;  debian/rules: Updating shlibs (947d4cf)

2010-03-18 Ted Gould

        * releasing version 0.3.6-0ubuntu1~ppa1 (f07a2df)
        * debian/rules: Updating shlibs (218c6a8)
        * Upstream release 0.3.6   * Adding in scroll signals for the
          indicators (738df2f)
        * Update to Ubuntu Desktop (60ab69b)
        * 0.3.6 (999f148) (tag: 0.3.6)

2010-03-17 Ted Gould

        * Adding the signal for scrolling in the indicator-object (5abaca2)

2010-03-17 Cody Russell

        * name (e0c1a3c)
        * Documentation fix. (b782a8a)

2010-03-16 Cody Russell

        * Use IndicatorScrollDirection instead of gboolean in
          IndicatorObjectClass->scroll function pointer. (11c78ed)
        * Define IndicatorScrollDirection enum for scroll signal parameter.
          (02d3dde)

2010-03-15 Cody Russell

        * Add 'scroll' signal. (4adb9ab)

2010-03-11 Sebastien Bacher

        * releasing version 0.3.5-0ubuntu1 (a68b0e8) (tag: 0.3.5-0ubuntu1)

2010-03-11 Ken VanDine

        * Upstream release 0.3.5   * Adding in a image loader helper for
          indicators. (c74b245)

2010-03-11 Ted Gould

        * releasing version 0.3.5-0ubuntu1~ppa2 (a815f84)
        * debian/rules: Updating shlibs number (259bcc9)
        * releasing version 0.3.5-0ubuntu1~ppa1 (0de990f)
        * Upstream release 0.3.5 (8caf60a)
        * Syncing with ubuntu desktop (5ca699b)
        * 0.3.5 (bb8b703) (tag: 0.3.5)
        * Creating a function to update the icon to a new name. (8e82b02)
        * Watching for style changes on the image. (a6ecf4a)
        * Check to see if we've seen the image previously before adding
          signals in. (e31a7de)
        * Splitting things out into an update function and a buid function.
          (b4ca4f6)

2010-03-10 Ted Gould

        * releasing version 0.3.4-0ubuntu1~ppa2 (d424692)
        * Upstream merge   * Adding in a image loader helper for
          indicators. (fdba994)
        * Update to trunk (fc9f460)
        * Add a small helper for loading images. (fc87fda)
        * releasing version 0.3.4-0ubuntu1~ppa2~imagehelper1 (9bc7677)
        * Upstream merge   * Adding in a image loader helper for
          indicators. (680631e)
        * Adding in a copyright header. (5867fa7)
        * A little loader to test to see if we load an icon and what size it
          is. (0660884)
        * If we get an icon that is too big, we have to scale it. (12ab8f4)
        * Doing dynamic size calculation based on the font if we have a prop
          set telling us to do so. (37f0f34)
        * Disconnect from theme update when the image goes away. (ba4a73a)
        * Setting up the callback for themes changing. (64df2c6)
        * Pulled out a bunch of the code into a refresh function for signals.
          (805edb8)
        * Fleshing out the image loading function. (48e8a34)
        * Adding in an image helper library. (636b9f9)

2010-02-25 Sebastien Bacher

        * releasing version 0.3.4-0ubuntu1 (e9aea6f) (tag: 0.3.4-0ubuntu1)

2010-02-25 Ted Gould

        * releasing version 0.3.4-0ubuntu1~ppa1 (436e5f1)
        * Upstream Release 0.3.4   * Reducing gio-unix dependency to 2.22
          (577ae5b)
        * 0.3.4 (8e12685) (tag: 0.3.4)

2010-02-24 Ted Gould

        * releasing version 0.3.3-0ubuntu2 (802da09) (tag: 0.3.3-0ubuntu2)
        * debian/control: Reducing libglib dependency down to 2.22 for Karmic
          builds (d4404ea)

2010-02-19 Ted Gould

        * No reason we need newer APIs than this. (9200b55)

2010-02-18 Ted Gould

        * Updating to ubuntu desktop (25b2503)

2010-02-18 Sebastien Bacher

        * releasing version 0.3.3-0ubuntu1 (2de6574) (tag: 0.3.3-0ubuntu1)

2010-02-18 Ted Gould

        * releasing version 0.3.3-0ubuntu1~ppa1 (6528ac0)
        * Upstream release 0.3.3 (019fb77)
        * releasing version 0.3.2-0ubuntu1~ppa2 (bf7525a)
        * Upstream merge   * Adding new object for parsing desktop files
          for Shortcuts (fa27dc5)
        * Sync to trunk (0fc8747)
        * 0.3.3 (49cdb8c) (tag: 0.3.3)
        * Adding in an object to get shortcuts out of desktop files.
          (f325f3e)

2010-02-16 Ted Gould

        * Updating to Ubuntu Desktop branch (8eee891)
        * releasing version 0.3.2-0ubuntu1~ppa2~shortcuts1 (fdc2872)
        * Upstream merge   * Adding new object for parsing desktop files
          for Shortcuts (a9e097f)
        * Ignoring the touch file for the testing (6665fd0)
        * Being more specific about where we should find the touch file for
          distcheck (1b58c66)
        * Disabling debug messages (3e69079)
        * Debug messages. (5a75fb5)
        * We should look at the other nicks even if this one doesn't work.
          (a3e1058)
        * Shipping our test desktop file (ef9c19e)
        * Clean up touch file (7e69f61)
        * Checking to ensure the right nick is in the list (0aa8119)
        * Using the nick directly to make this work better. (b10dd19)
        * Wrong identity (b0e8d1c)
        * Forgot to set the type of the desktop file, need to be an
          Application. (452c195)
        * Add a test to launch an nick (af36cb8)
        * Adding a check to ensure we're getting the right names from the
          nicks. (e0bc191)
        * Making the function not recurse forever. (c636c3e)
        * Adding in local filter test functions. (b6b2a65)
        * Check to ensure a global no show works. (edaa80e)
        * Fix group detection to put a space in the name of the group
          (0a90515)
        * Better name (755e697)
        * Ignoring the new stuff (17cdd8c)
        * A backslash off (0a4d668)
        * Adding in a basic test desktop file test (53c9f60)
        * Create a testing desktop file (1a85eb2)
        * Refactoring the list checks into their own functions so we can
          check the desktop group as well. (8fb1d36)
        * Adding in checking to see if we should be showing this entry.
          (a39d426)
        * Basic parsing of the files. (4ee953a)
        * Checking for our shortcuts key, we don't really want a desktop file
          without it. (21c3a88)
        * Start loading the keyfile. (5514554)
        * Removing the reading of the desktop file. (62876d9)
        * Identity management with the properties. (37a107b)
        * Some error handling. (8b8c3f4)

2010-02-15 Ted Gould

        * A basic property system. (ae0b7bc)
        * Fleshing out the exec function which require GIO Unix (5d7fbff)
        * Fleshing out getting the Name of a shortcut (f2196d1)
        * Fleshing out _new and _get_nicks  Both are lovely functions.
          (5d2ace5)
        * Getting some new private variables, and making sure they have a
          full lifecycle. (a32a078)
        * Instanciating the prototypes and making some comments. (3a95d84)
        * Letz get ur prototypes (d970c85)
        * Copyright headers (95f07c4)
        * Adding in the new object we're building for evaluating desktop
          shortcuts. (a271753)

2010-02-04 Sebastien Bacher

        * releasing version 0.3.2-0ubuntu1 (050ef48) (tag: 0.3.2-0ubuntu1)

2010-02-04 Ted Gould

        * releasing version 0.3.2-0ubuntu1~ppa1 (72ef75f)
        * Upstream release 0.3.2   * Various fixes to timeout handling in
          services and the   * Fix test suite when run headless
          (65bc742)
        * 0.3.2 (0d5ea56) (tag: 0.3.2)

2010-02-02 Ted Gould

        * Fixes to the test suite. (6afee91)
        * Adjusting to new timeout value (527674d)
        * Switching to 'bash' (9719ffe)
        * Adding an printout for saying which display we created. (0526f26)
        * Adding in run-xvfb.sh (953e656)

2010-02-01 Ted Gould

        * releasing version 0.3.1-0ubuntu1~ppa2 (e0dbaa3)
        * Upstream merge   * Various fixes to timeout handling in servcies
          and the     service manager. (106a07d)
        * Sync to trunk (71e4712)
        * Better handling of some timeout conditions and more logging.
          (103f8b0)

2010-01-28 Ted Gould

        * releasing version 0.3.1-0ubuntu1~ppa2~better1 (7e7507e)
        * Upstream merge   * Various fixes to timeout handling in servcies
          and the     service manager. (32c331c)
        * Adding a debug message for restarting the service. (7c58185)
        * Error handling when building our proxies. (1abf840)
        * Changing timeout to be approximatedly 1 second. (52e1a43)
        * checking the error field for name callback and printing an error
          when it fails. (21eca67)
        * In the timeout function mention that we're shutting down, and have
          an environment variable to stop that. (138321d)

2010-01-21 Ken VanDine

        * releasing version 0.3.1-0ubuntu1 (717a085) (tag: 0.3.1-0ubuntu1)

2010-01-21 Ted Gould

        * releasing version 0.3.1-0ubuntu1~ppa1 (8f6a206)
        * Upstream release 0.3.1 (2645491)
        * Sync to ubuntu-desktop (923106e)
        * 0.3.1 (f5232a3) (tag: 0.3.1)
        * When a watch fails we're moving to having that try and restart the
          startup/connection process again. (16e0cd5)
        * Adding in tracking of the restart idle function and making sure we
          don't do it twice. (0219e0e)
        * In case we're restarting because of the 'Watch' returning failure
          we'd have a valid 'service_proxy' object to kill (4a7af56)
        * Setting up the watch_cb function so that in errors it'll try to
          restart.  As most errors will be fixed by trying again.
          (c72ff4f)

2010-01-19 Ted Gould

        * releasing version 0.3.0-0ubuntu2~ppa2 (38d6422)
        * Upstream Merge   * Adding in entry ordering. (45e16a5)
        * Sync to trunk (f48680f)
        * Support for entries having a location and moving that location.
          (eaf87fa)

2010-01-18 Ted Gould

        * releasing version 0.3.0-0ubuntu2~ppa2~ordering1 (292d5b0)
        * Upstream Merge   * Adding in entry ordering. (f419f42)
        * Update from trunk. (a1032ca)
        * releasing version 0.3.0-0ubuntu2~ppa1 (2265c84)
        * Upstream Merge   * Adding in the code to restart services
          (90990c6)
        * Sync to trunk (bcf1d4e)
        * Adding the code for having the services automatically restart if
          they crash. (e36616b)

2010-01-15 Ted Gould

        * It's a fundamental mistake to believe that we can protect people
          using this interface from the disconnection.  We have no
          information to say that the new service starting will come
          up in the same state as the one before it.  We need the
          individual implementers to verify that.  Now we need to
          fix that.  This commit does so. (079c2b5)
        * releasing version 0.3.0-0ubuntu2~ppa1~restart2 (faa40d7)
        * Upstream Merge   * Emitting the connection changed signal better.
          (08192cc)
        * Handling the connected signal as well, making sure we emit it.
          (62d8c1c)
        * releasing version 0.3.0-0ubuntu2~ppa1~restart1 (f8d47e9)
        * Upstream Merge   * Adding in the code to restart services
          (26f2421)
        * Switching what our enviroment variable is for, let's just stop the
          whole thing instead of playing with it. (deabfe6)
        * Setting up the signal for when the proxies falls down, we restart.
          (9bccc14)
        * Filling out the function to start it again, and adding in the
          function to respond to the timeout. (2ce95b0)
        * Reset the restart_count when we start, and start to bring in
          'start_service_again' to begin to throttle the restarts.
          (b9344c3)
        * Getting a multiplier, and providing a way to override it using an
          environment variable. (41559b3)
        * Having the signaller test check the 'moved' signal as well as the
          others. (d7635fc)
        * No error on not having a get_location function.  We'll just return
          zero. (c25db99)
        * Basic location checking test. (cb5f34b)
        * Fleshing out the get_location function as much as they're
          implemented here. (308e4db)
        * Fixing the signal comments. (d334db5)
        * Setting up the move signal, which required custom marshallers.
          (14b5823)
        * API changes required to have locations for the entries. (529ce66)

2009-12-10 Ted Gould

        * Ken loves us. (58c6877)

2009-12-10 Ken VanDine

        * set release for lucid (b6fb26b)
        * debian/control:   - Added description for libindicator-tools
          (c45b838)
        * set version number (697b324)

2009-12-10 Ted Gould

        * releasing version 0.3.0-0ubuntu1~ppa1 (5f5763c)
        * releasing version 0.3.0~dev-0ubuntu1~ppa11 (b4fb802)
        * Upstream 0.3.0 Release   * Adds a new tool to load indicators
          from the command line.   * Adds an object for loading
          indicators.   * Changes the indicator interface to be
          object based.;  debian/control, debian/libindicator0:
          Adding in a new packages   for the binary library.
          (91d1528)
        * 0.3.0 (cee358b) (tag: 0.3.0)
        * Adding in license headers. (5fb4592)
        * Adding in license headers. (29cb00e)

2009-12-07 Ted Gould

        * releasing version 0.3.0~dev-0ubuntu1~ppa10 (97c515e)
        * Licensing and doc updates.;  Minor code cleanups (93ef960)
        * Documentation, licenses, and some slight updates. (2a521b2)
        * releasing version 0.3.0~dev-0ubuntu1~ppa9 (578ffd2)
        * Adding in a service API version number. (53bd4b5)
        * Add in support for sevice API versions. (483992f)
        * Fixing a typo in the error message -- noticed by David Barth.
          (1347041)

2009-12-04 Ted Gould

        * GPLv3 copyright headers. (c1fa836)
        * Implemented the _connected function as it's silly that it wasn't.
          (2d3d5b5)
        * More gtk-doc comments. (59b5bb7)

2009-12-03 Ted Gould

        * Adding in some comments and a little bit of code cleanup. (5852e0b)
        * Putting in comments for the functions. (a6d2a69)
        * Service version numbers. (873b502)
        * Adding a weak pointer to the service proxy. (ea29a8e)
        * Switching unwatch to being a no_reply function call. (8331ee5)
        * Full signal handlers so that we can see everything. (436bca2)
        * releasing version 0.3.0~dev-0ubuntu1~ppa8 (6db57d8)
        * autogen.sh fix. (LP: #491907) (fa0212c)
        * Patch to fix autogen.sh (360ae7a)

2009-12-03 Cody Russell

        * Fix autogen.sh so parameters are passed (66a7877)

2009-12-02 Ted Gould

        * Merge in from trunk, now two failing tests. (bc803c5)
        * Forgot to delete the programs. (1696a67)
        * Actually checking the version and erroring on it. (b2a0e03)
        * Specifying who can't get the session bus. (0c7f613)
        * Printing out the session bus address (6bbe989)
        * Changing the names we're registering for to be correct. (18351a8)
        * Not erroring when we're supposed to pass. (937c28b)
        * Adding a log domain for error messages (792315d)
        * Adding a new test to look at version numbers. (36f2ede)
        * Adding _new functions that include the version number in them.
          (a4e33bf)
        * Sending a version number for the local service. (d7e9d01)
        * releasing version 0.3.0~dev-0ubuntu1~ppa7 (8f124e3)
        * Adding an 'UnWatch' command to the standard DBus interface for
          graceful disconnection from a service. (c986e2c)
        * Adding an unwatch command to allow for graceful disconnection from
          a service if we're not interested in it. (de38fc8)

2009-12-01 Ted Gould

        * Adding a property for version. (a1d20fb)
        * Change the watch function to return both an API version and a user
          set version. (aa951a3)
        * Only getting the bus once. (b7864d8)
        * Trying to get a proxy before starting the service every time.  If
          it exists, let's use it. (4ba1af3)
        * New files to ignore. (5757cfb)
        * Adding a test to ensure that a service gets shutdown by someone
          unwatching it. (1b1a50d)
        * Checking to make sure we don't get connected twice, that'd be an
          error. (6e89bf0)
        * Updating connection prototype to get all the data. (d69de93)
        * Making the timeout a failure case, and making it so that we want a
          graceful shutdown. (8f0f2ad)
        * Unwatching if we have mismatched version. (824d1e8)
        * When destroying the object we tell the watched service that we're
          not watching it. (088eff4)
        * Using the define for the version on both sides (67aef7b)
        * Finding the watcher and removing him from the list. (c0e2510)
        * Add an unwatch function with a basic handler. (8a1912e)

2009-11-24 Ted Gould

        * releasing version 0.3.0~dev-0ubuntu1~ppa6 (0d1af25)
        * Adding a new tool to load indicators from the command line.
          debian/control, debian/libindicator-tools: Adding in a new
            package for the tools of libindicator. (5d0d185)
        * Sync to trunk (01c1439)
        * Adding in a small tool to test loading of indicators on the command
          line. (easier development) (ad2ef4d)
        * releasing version 0.3.0~dev-0ubuntu1~ppa6~tl3 (d66daf8)
        * debian/control: Making sure the tools package is using the same
          version of the library that it was built with. (411182c)
        * releasing version 0.3.0~dev-0ubuntu1~ppa6~tl2 (8e82971)
        * Adding support for remove. (f5ad201)
        * Adding support for removing entries (bfb7a29)
        * releasing version 0.3.0~dev-0ubuntu1~ppa6~tl1 (06ac252)
        * debian/control, debian/libindicator-tools: Adding in a new package
          for the tools of libindicator. (5a914ca)
        * Adding a new tool to load indicators from the command line.
          (cc1c8d4)
        * Stopping the app when the window closes. (b6f78fa)
        * Grabbing the entry added function as well, didn't realize how much
          it did :) (cd27c1b)
        * Showing the menubar and window (a9b6d6f)
        * Adding a small little tool to load an indicator from the command
          line. (93650be)

2009-11-16 Ted Gould

        * Merging in from Robert. (f8b4671)
        * releasing version 0.3.0~dev-0ubuntu1~ppa5 (f040dac)
        * debian/control: Adding a depend for the -dev package on the base
          library to stop users from linking staticly. (7b0d813)

2009-11-17 Robert Collins

        * Depend on libindicator0 to pull it in when libindicator-dev is a
          build-dep. (18eb9ed)

2009-11-16 Ted Gould

        * Confused (961fafa)
        * releasing version 0.3.0~dev-0ubuntu1~ppa4 (b72113b)
        * releasing version 0.3.0~dev-0ubuntu1~ppa4 (a095f05)
        * 64-bit fix for printf's (52fd9ea)

2009-11-05 Ted Gould

        * 64-bit fix in that GTypes are not ints on 64-bit (a7b7787)
        * releasing version 0.3.0~dev-0ubuntu1~ppa3 (a87ce28)
        * debian/control: Adding build deps dbus-glib as well. (a6c762e)
        * releasing version 0.3.0~dev-0ubuntu1~ppa2 (2fb0a49)
        * debian/control: Adding build deps for the libraries we're using.
          Seems we should have done that earlier, eh? (3177188)
        * releasing version 0.3.0~dev-0ubuntu1~ppa1 (8569ff3)
        * Changing the object interface to allow for multiple items   per
          module.;  Changing debian/libindicator-dev.install for the
          adjusted   include path. (20d9f0e)
        * Sync with trunk (c347400)
        * Changing the indicator-object API to support indicators that have
          multiple entries, and are dynamic. (db9e8f4)

2009-11-04 Ted Gould

        * releasing version 0.3.0~dev-0ubuntu1~ppa1~multi1 (d6901e1)
        * Changing version. (15120ed)
        * releasing version 0.2.1-0ubuntu2~ppa2~multi1 (77033be)
        * Changing debian/libindicator-dev.install for the adjusted include
          path. (2802941)
        * Changing the object interface to allow for multiple items per
          module. (0512f86)
        * Changing the include directory as well. (34f914c)
        * Moving everything up to '3' as we're breaking everyone pretty bad
          at this point. (4a558fc)
        * Updating to current trunk. (2b754cb)
        * Use close instead of unreffing. (534aab3)
        * Adding a simple indicator test that checks to make sure we can
          signal up the stack. (8c321fa)
        * Building a dummy indicator that signals. (8033011)
        * Using the proper define for the type. (db2a239)
        * releasing version 0.2.1-0ubuntu2~ppa1 (5ad8e30)
        * Adding in service management code.;  debian/control: Adding a
          target for libindicator0;  Adding libindicator0.install
          and libindicator-dev.install (3d93d5a)
        * Updating to trunk (61e1ae1)

2009-11-03 Ted Gould

        * Adding a service management interface into libindicators as many
          will use that. (c547687)
        * Adding in some ID helpers. (7db7886)
        * Adding in some signals to make for some more fun. (0db39bf)
        * Making a warning not use a colloquialism. (cb0c099)
        * Changing version to service_version (cfa83c0)
        * Updating to current trunk. (b267db9)
        * Changing the way the module is free'd (e354bc4)
        * Having the test expect an object, but fail when calling the
          functions. (03e8903)
        * Make the tester dynamically link the lib so that there's not two
          versions of everything. (1a528a7)
        * Linking the indicators with the libindicator library. (10aa800)
        * Switching to checking the entires list instead of individual
          functions. (bffbb2c)
        * Converting the dummy indicators over to the new API.  They compile
          now. (57642ed)
        * Syncing up with trunk before merging. (9fa35ba)
        * Merging in an interface for loading modules cleanly. (541f18c)
        * Changing comment on private struct. (c09917d)
        * Typo (1f96a34)
        * Creating the actual backing function for
          indicator_object_get_entries. (258f461)
        * Adding in a default handler for get_entries. (78868a0)
        * Whew, blew up the interface and built it back again. (ed409d4)
        * Redefining the interface.  Now this object should get subclassed by
          folks. (0575b91)
        * Removing the instance object.  I think that we can do everything we
          need by using the object. (e2ce2dd)
        * Switching to a set_type function instead of making people do that
          themselves. (6935a6b)
        * Adding in the basis for the instance class. (aaacaac)
        * Stripping out the symbols for the old stuff, and going with the new
          of just getting a type. (614606a)
        * We need atleast the loader branch as that's what we want to change.
          (1021a83)
        * Typo (b3fc779)
        * Comments in the copyright statements updated. (07c7bb1)

2009-11-02 Ted Gould

        * releasing version 0.2.1-0ubuntu2~ppa1~sm2 (ff0cc74)
        * Fixing package config file to point to library (c626be5)
        * Oops, we need to tell package config that we're a big library now.
          (0aa2106)
        * releasing version 0.2.1-0ubuntu2~ppa1~sm1 (a4652e1)
        * debian/control: Adding a target for libindicator0;  Adding
          libindicator0.install and libindicator-dev.install
          (00808f0)
        * Adding in service management code. (8e4486c)
        * Distcheck fixes.  Looking for the files in the right place and
          making sure we clean up after ourselves. (5ccc73b)
        * We should pass the test if we get a connection, it means we
          activated. (c3d30bd)
        * We want to not get the shutdown.  Since we're testing that we get
          it without connection we can now assume that if we don't
          get it we should pass. (6cb18e9)
        * Adding a fallback to the session bus after trying the starter bus.
          (ddb2ab7)
        * Switching the name to match the service file... should fail.
          (5e5f495)
        * Building a service file. (dc5fbef)
        * Adding in the basic data needed to start bringing up a test to
          start the service. (9a15eec)
        * Fixing up the build rules so that they're directory independent.
          (90446e0)
        * Some things are errors that should really be warnings. (c99ef22)
        * Ah, we can't throw an error on success. (0745e42)

2009-10-30 Ted Gould

        * Adding a test that ensures we don't get a connect signal. (911b9d7)
        * Adding in the connected property and signalling when we're all
          hooked up. (aa1549d)
        * Ubuntu Desktop updates (d9dc770)

2009-10-29 Ted Gould

        * A service proxy, and then calling watch. (a9e61b6)
        * Building the dbus proxy and using it a little bit. (02ce4f5)
        * Ah, forgot to free name (c87569c)
        * Properties functions. (12fbcd5)
        * Signals and properties, oh my! (9af4097)
        * Adding the API functions. (c099b03)
        * Oops, forgot to set to passed. (74296a6)
        * Sending shutdown signal 500 ms after getting a name if we have no
          watchers. (5819476)
        * Adding in the watchers and timeout parameter. (fbba415)
        * Adding in some shared strings for finding intefaces and objects.
          (82aaaed)
        * Woot!  We're a DBus service now. (2e39b18)
        * Building ourselves a DBus proxy. (f99a9f2)
        * Filling in more of the name property. (145b214)
        * Adding in the 'name' property (fbb2bc9)
        * Adding the shutdown signal (621a7ba)
        * Woot!  A failing test.  Look how TDD I am. (22a5b08)
        * Making the gtester stuff into a autotest thingy. (a72fc58)
        * Creating a new test and linking it into things. (fc573dc)
        * Putting a dummy implementation in for _new for linking (ec0809e)
        * Adding basic interfaces and docs to IndicatorService (b60a7f1)
        * Defining some API and boot strapping documentation. (0af9206)
        * Making 'INDICATOR' the prefix for the objects. (b8db818)
        * Putting in some templated objects. (ba8af82)

2009-10-28 Ted Gould

        * Building ourselves a little dbus spec (606b493)
        * Adding a description for the indicator service. (15995b7)
        * Grabbing the loader branch (0220cc7)
        * Removing valgrind as I want to clean this branch up and make
          another for that. (b98a481)
        * Oh, legal headers.  Fun, fun. (755adf0)
        * Adding in comments. (a8b1436)

2009-10-14 Ted Gould

        * Adding in check for valgrind that we'll need for the test tools.
          (f28c65a)

2009-10-11 Ted Gould

        * Adding the terballs into ignore (7cc9b8f)
        * Making a tools directory (0b18e53)
        * using the blank dummy indicator (ccc7f82)
        * Building a new dummy indicator that doesn't have any symbols in it.
          (a2f4f86)

2009-10-09 Martin Pitt

        * releasing version 0.2.1-0ubuntu1 (98c7033) (tag: 0.2.1-0ubuntu1)

2009-10-08 Ted Gould

        * Testing the accessors (bb7b49a)
        * Adding some accessor functions for the various GTK objects.
          (5144944)
        * Maintaining a reference to the objects we create in the object.
          (fda24e4)
        * We need to use GTK. (32fc4b8)
        * A better dummy menu. (9c16e7c)
        * Create a very simple indicator and testing it. (97a4004)
        * Being a bit more verbose (a28e917)
        * Making it so that the null test checks for failure as we shoudln't
          have a null image and label.  Also making it so that
          warnings don't cause the test to fail. (56450cf)
        * Making it so that we use the same unref code as everyone else.
          (66b0d1b)
        * Truth again.  Keeps bitting back.  I shouldn't of lied in the 2nd
          grade, I confess!  No more, please. (4ea2868)
        * Checking to see if a file exists before trying to load it.
          (b2942d9)
        * Truth.  Sucks. (18f6396)
        * Turning all the return if fails into proper if's with warning and
          unref the object so there aren't any memory leaks.
          (a65694f)
        * Use the new build dir flag (3bafca7)
        * Build dir fix and making gtester run all of them even if one fails.
          (3766586)
        * Making it so that we're not using g_return_if_fail as it messes up
          the test suite. (bece9de)
        * Fleshing out the load from file function.  Still fails. (f4b307c)
        * A test to load the dummy indicator (bce9f51)
        * Apparently they have to be installable to get the .so.  Fail.
          (1b828c9)
        * Adding a test that should pass as given a bad filename we should
          get no object back. (d946049)
        * Adding a function to create an object from a file (b4d20eb)
        * Creating a dummy indicator that returns null (c594126)
        * Switch from GLib to GTK as that's what we really needed. (605f74b)
        * Using a weak ref instead of connecting to a signal that doesn't
          exist (26ced5c)
        * Putting data in the private (3bf9efb)
        * Test to build the object and unref it. (4658844)

2009-10-08 Ken VanDine

        * Upstream release 0.2.1 (LP: #446619)   * Puts a copyright header
          on the header file.  Should have     been there all along.
          (133d9bd)

2009-10-08 Ted Gould

        * Fleshing out the test a little bit. (1386478)
        * Adding in a simple little test. (c314d60)
        * Adding in a tests folder (fa946df)
        * Ignoring our new file. (1ca9666)
        * releasing version 0.2.1-0ubuntu1~ppa1 (1518975)
        * Upstream release 0.2.1   * Puts a copyright header on the header
          file.  Should have     been there all along. (972ad5e)
        * Merging in ubuntu-desktop branch (6d8cd64)
        * 0.2.1 (b5f41d1) (tag: 0.2.1)

2009-10-06 Ted Gould

        * Adding license information to the header (a7a8c73)
        * Adding some pkg-config love to get things compiling all nice like.
          (24d0253)
        * Building a base object. (1f822bf)
        * oops, should be GPLv3 not LGPLv3 (8935708)
        * Header for the header file that has the LGPLv3 (0d87e4e)

2009-09-10 Martin Pitt

        * releasing version 0.2.0-0ubuntu1 (90bed29) (tag: 0.2.0-0ubuntu1)
        * more verbose changelog (9075de4)

2009-09-10 Ken VanDine

        * Upstream release 0.2.0 (LP: #427443) (287766d)

2009-09-10 Ted Gould

        * Merging in desktop branch (7f83810)
        * releasing version 0.2.0-0ubuntu1~ppa1 (507d19b)
        * Upstream release 0.2.0 (2eb5232)
        * Making 0.2.0 (1c30efe) (tag: 0.2.0)

2009-08-25 Martin Pitt

        * releasing version 0.2.0~bzr325-0ubuntu1 (e5afc87)
        * debian/control: Fix Vcs-* links. (6736e77)
        * Flush changelog. (f434a87)

2009-08-24 Ken VanDine

        * debian/control:   - Set both Vcs-Bzr and Vcs-Bzr-Browser, with
          ~ubuntu-desktop (7e26ec7)
        * New version (LP: #417039) (689de8d)

2009-08-19 Ted Gould

        * Using AM 1.11 silent mode (999dbf8)

2009-08-18 Ted Gould

        * releasing version 0.2.0~bzr325-0ubuntu1~ppa1 (772dcaf)
        * Removing the install file. (0ec3b86)
        * Merging in the seperation from indicator-applet;  debian/*
          Removing all of the indicator-applet stuff (a810a01)
        * Merging in the separation from indicator-applet (f9bc0fe)
        * Deleting everything only leaving libindicator (ba24704)

2009-08-17 Ted Gould

        * releasing version 0.2.0~bzr319-0ubuntu5~ppa5 (dcbb7eb)
        * Setting the icon path in the .pc file. (8fda9af)

2009-08-08 Ted Gould

        * Adding an icons directory to the .pc file (033de55)

2009-08-07 Ted Gould

        * releasing version 0.2.0~bzr319-0ubuntu5~ppa4 (79d17f5)
        * Merging onto the main packaging branch.;  Renaming the second
          Bonobo server description file to match that   of the
          FastUserSwitchApplet.;  Upstream merge for better naming
          of the applet.;  Updating from upstream with two (count
          them) two applets   installed in the source.
          debian/control: Adding information on indicator-applet-sus
          which   is a different applet for the SUS indicator.
          debian/indicator-applet.install: Making it more specific
          so that   it doesn't grab the directories that now have
          additional files   created by indicator-applet-sus
          existing.;  debian/indicator-applet-sus.install: List
          files that are now   used by the new binary package.
          (1a01d82)
        * Merging in the branch making two applets. (4aa0584)
        * releasing version 0.2.0~bzr319-0ubuntu5~ppa3 (853ef5b)
        * Renaming the second Bonobo server description file to match that of
          the FastUserSwitchApplet. (4054025)
        * Changing the Bonobo server description file name to match that of
          FUSA. (3a8b5ca)
        * releasing version 0.2.0~bzr319-0ubuntu5~ppa2 (721b0f9)
        * Upstream merge for better naming of the applet. (e97463e)
        * releasing version 0.2.0~bzr319-0ubuntu5~ppa1 (31fac01)
        * Oops, we need more identity. (38e4c74)
        * Locking the version number so the two indicator-applets are the
          same (709f0a8)
        * debian/control: Adding information on indicator-applet-sus which
           is a different applet for the SUS indicator.
          debian/indicator-applet.install: Making it more specific
          so that   it doesn't grab the directories that now have
          additional files   created by indicator-applet-sus
          existing.;  debian/indicator-applet-sus.install: List
          files that are now   used by the new binary package.
          (93135b1)
        * Updating from upstream with two (count them) two applets installed
          in the source. (ae15eee)
        * Switching the name to the proper server file. (8fd9f27)
        * Loading only the SUS plugin. (65df6f1)
        * Blocking out SUS from standard applet. (6c07c79)
        * Fixing the generation rules for the bonobo server files. (3bb7806)
        * Ignoring more files. (327dfdb)
        * Switching the name to actually be correct. (2f92722)
        * Changing the name of the directory to -sus which makes more sense
          (059f1bf)
        * New executable name (c35dbea)
        * Renaming the server file (f33fa71)
        * Adjusting the namespace.  Just to make things fun like that.
          (019d958)
        * Making the schema translatable (f2a3bfc)
        * Adding a new server to connect with our new applet.  Still needs
          changes as it's just a copy. (5bc7f7d)
        * Adding a new build target for our new applet (99caa03)
        * Adding the new src to the build system (a1ec732)
        * New src entry (3b1bb35)

2009-08-06 Ted Gould

        * Aurelien's patch to add a set_server function to indicators.
          (d7f91b9)

2009-08-06 Aurelien Gateau

        * Updated documentation (937dba5)

2009-08-05 Ted Gould

        * Update to core-dev branch (a3eb3ea)

2009-08-05 Aurelien Gateau

        * Introduce indicate_indicator_set_server() so that server can be
          defined for message indicators too. (c4bd83a)

2009-08-05 Jonathan Riddell

        * Add build-dep on gtk-doc-tools (8223eb6)
        * merge with Ken, fix gtk-doc (924a0a6)

2009-08-05 Ken VanDine

        * indicator-applet (0.2.0~bzr319-0ubuntu3) karmic; urgency=low
          (bff1218)

2009-08-05 Ted Gould

        * releasing version 0.2.0~bzr319-0ubuntu1~ppa5 (6a2b4b1)
        * Upstream fix for server.c and get indicators with hidden indicators
          in the list. (cc920f1)
        * Maintaining the count independent of the entires. (a3e59c2)

2009-08-05 Jonathan Riddell

        * Run ./autogen.sh before upload (07a83fa)
        * tidy changelog for release (daaa9a5)
        * merge current package for upload,
          https://code.edge.launchpad.net/~indicator-applet-developers/indicator-applet/applet-packaging/+merge/9671
          (cb9d427)

2009-08-04 Ted Gould

        * releasing version 0.2.0~bzr319-0ubuntu1~ppa4 (42ba02f)
        * Upstream fix to PC file. (c495a62)
        * Update the pc file from the GTK split out. (e4ac1dc)
        * releasing version 0.2.0~bzr319-0ubuntu1~ppa3 (72093e2)
        * debian/control: Fixing the library reference of libindicate-gtk-dev
          (41c535b)
        * releasing version 0.2.0~bzr319-0ubuntu1~ppa2 (96ace70)
        * Forgot to autogen.sh (64034dd)
        * releasing version 0.2.0~bzr319-0ubuntu1~ppa1 (541c9b2)
        * Setting up the merge history correctly. (dd164ac)
        * Merging in upstream code to split out libindicate-gt.
          debian/control:   * Changing the version number of
          libindcate to 2 to match     the .so numbering.   *
          Creating packages for libindicate-gtk;  Added
          libindicate-gtk-dev.install and libindicate-gtk0.install
          for the new library.;  Renamed libindicate1.install to
          libindicate2.install to match   the package name change.
          Modified libindicate-dev to be more specific about the
          header   files that it grabs. (5909ee4)
        * Merging in the splitout of a GTK version of the lib (74bc54c)
        * releasing version 0.2.0~bzr309-0ubuntu4~ppa2 (63ed0ba)
        * debian/control: Fixing some libindicate1's that should be
          libindicate2 and making everything dependent on the
          versions that are built here in the package. (54b4e00)
        * releasing version 0.2.0~bzr309-0ubuntu4~ppa1 (be06bcb)
        * Adding in a make fix (6401c45)
        * Adding libindicate a build include (16b15aa)
        * Added libindicate-gtk-dev.install and libindicate-gtk0.install
          for the new library.;  Renamed libindicate1.install to
          libindicate2.install to match   the package name change.
          Modified libindicate-dev to be more specific about the
          header   files that it grabs. (8bed775)
        * debian/control:   * Changing the version number of libindcate to
          2 to match     the .so numbering.   * Creating packages
          for libindicate-gtk (84f0002)
        * Merging in upstream code to split out libindicate-gtk (a1fa7ba)
        * Removing some more noise (475cf3d)
        * Ignoring the tarball (2b41594)
        * Ignoring the right file (34baaec)
        * Making seperate versioning for libindicate-gtk (c3034d9)
        * Bumping the version as we removed a function. (b31efb2)
        * A bunch of distcheck fixes to clean things up (8850baa)

2009-08-03 Ted Gould

        * Some odd change (3497522)
        * Last libgtk-pixbuf header (3ec1d88)
        * Removing GTK dependencies from the libindicate stuff (8c7a1a7)
        * Fixing these guys to include the -gtk library where needed
          (d94f22a)
        * Some ignore files for fun (f6fb98d)
        * Oops, forgot the listener stuff (793db0f)
        * Moving the listener code and some indicator code into
          libindicate-gtk (78ad4c4)
        * Okay, now it is the offending function in it. (840e1c8)
        * Creating a default little GTK library to move the GTK stuff in
          (ecde85f)
        * Adding a function to set the server of the indicator upon creation.
           indicate_indicator_new_with_server() (b3d3f3d)
        * Merging in changes to the destroy and removing a warning. (573c458)
        * Ignoring built files (f344374)

2009-07-27 Aurelien Gateau

        * Removed warning: it's annoying in unittests. (7f379d5)
        * Destroy dbus proxies in listener finalize. (8157a2c)

2009-07-21 Ted Gould

        * Fixing the other signal marshallers (5390823)
        * Using the server marshaller (b8b2c52)
        * Creating the server marshallers that we need (5cbbca2)
        * Oops, we shouldn't have a prototype for a function that doesn't
          exist.  Thanks to Aurilien. (e3a0b5a)

2009-07-17 Ted Gould

        * releasing version 0.2.0~bzr309-0ubuntu3 (064740b)
        * Now moving on to Karmic (61730d0)
        * releasing version 0.2.0~bzr309-0ubuntu2 (c594f60)

2009-07-03 Ted Gould

        * Configure change to cleanup output (049947b)
        * A little like mentioned on the GNOME Wiki, but doesn't work until I
          have a higher version of automake.  Doesn't seem to cause
          problems though. (7867885)

2009-06-08 Ted Gould

        * Patch from Mark Trompell to make suffix checking better. (63dad6a)

2009-05-13 Ted Gould

        * debian/control, debian/libindicate-doc.install: Merging in Ken
          Vandine's work on making a -doc package for libindicate.
          (aee8914)

2009-05-13 Ken VanDine

        * added debian/libindicate-doc.install (f36cc1b)
        * Added package libindicate-doc and removed dbus-test-runner build
          requirement (10e5164)

2009-05-05 Ted Gould

        * Merge from upstream, includes documentation. (e38da9b)
        * Merging in the documentation branch. (7926d56)

2009-04-30 Ted Gould

        * Never understand this file really. (1b3fd92)
        * Fixing function listing (395ae9a)
        * Fixing typo (c027c7f)
        * Fixing some documentation bugs. (3810da4)
        * Documenting most of the public visible functions (51f63e1)
        * Adding in arguments for the signals (1595ee2)
        * Adding in arguments on the signal docs. (f64bd73)
        * Woot, signal documentation works now. (dbfd181)
        * Basic signals docs. (15720aa)
        * Server section documentation. (f4a1e46)
        * Comments for the class, who put all those functions on there...
          (a1ba880)
        * Adding in message documentation and cleaning up some mistakes as I
          see them. (933bcaa)
        * Never understand this file (298abb1)
        * Doing a better job about defining out the documentation gets
          created and looks.  Much cleaner. (ef5a4ba)
        * Breaking out into sections. (0b5e0c1)
        * Section information (a77a808)
        * Adding to the unused side of things. (cd973f1)
        * Removing the big defines that aren't useful and the boilerplate
          get_type functions. (6a4918e)
        * Reformatting to make gtk-doc happy. (d73f65f)
        * Making it more like English and less like a pointer table.
          (9201eb6)
        * Adding in IndicateIndicatorClass documentation. (877ac7a)
        * What is the server (dd49cd3)
        * Typo (47c4b8e)
        * Getting most of the indicator documentation in the pool. (43f575e)
        * Turns out that gtk-doc can't have the name of the function on the
          same line as the start of the comment.  How stupid.
          (1c91e43)
        * Removing symbols that shouldn't be in the docs anyway. (a41eab6)
        * Ignoring the dbus and glib-marshaller generated header files.
          (73a5c92)
        * Dispaly typo (f62b836)
        * First pass at trying to create some function documentation for
          Indicator (c73af69)

2009-04-29 Ted Gould

        * Patch from Niel Patel to close the directory after opening it.
          (0ed0749)
        * Patch from Niel Patel to close the directory after opening it.
          (89235a4)

2009-04-27 Ted Gould

        * releasing version 0.2.0~bzr307-0ubuntu2 (f6767c8)
        * Increment for PPA.  Forgot to autogen.sh (f6f7c27)
        * releasing version 0.2.0~bzr307-0ubuntu1 (d8582f7)
        * debian/control: Adding a build-dep on dbus-test-runner (60e4dde)
        * Upstream Snapshot: Adding in a test suite. (73e576b)
        * How important a simple backslash is :) (0f174a8)
        * Merging in the testing branch to get some tests for this guy
          (d2d0c7a)
        * Switching to system dbus-test-runner (5899a3f)

2009-04-22 Ted Gould

        * releasing version 0.2.0~bzr305-0ubuntu1 (183d218)
        * Upstream update (fd65e07)
        * Get the submenu set right. (c292100)
        * Slipping in the hbox (2f6ccdf)
        * Oops, cut and paste error, pulling up the wrong symbols (d075aee)
        * releasing version 0.2.0~bzr302-0ubuntu1 (e1eb7c8)
        * Upstream snapshot, turning version getting feature into a function
          and adding a name symbol outline. (836e265)
        * Turning versions into a function and adding a name symbol.  Not yet
          used though. (18397c8)
        * releasing version 0.2.0~bzr301-0ubuntu1 (f5044ea)
        * Upstream snapshot, fixing indicator.h (2c0d0d8)
        * Wow, the genius of making a symbol you want to export static is
          simply amazing.  It's truly a wonder of nature that I can
          tie my shoes in the morning. (ef4bfde)
        * releasing version 0.2.0~bzr300-0ubuntu1 (adfd764)
        * Upstream snapshot, fixing indicator.h (fded83b)
        * Oops, not what I wanted.  These should have been prototypes not
          global variables.  Takes a second to think about it, but
          yeah, that's what they were. (c0b1f48)
        * releasing version 0.2.0~bzr299-0ubuntu1 (d332ad5)
        * Upstream snapshot, forgot a + on GTK (180822b)
        * Forgot a + on gtk (20cfaa9)

2009-04-21 Ted Gould

        * releasing version 0.2.0~bzr298-0ubuntu1 (a380678)
        * debian/control:   * Add in package libindicator-dev   * Add build
          depends on libxml2-dev for upstream dep (74a2953)
        * debian/control: Add in package libindicator-de.
          debian/libindicate-dev.install: Add greater specificity on
          what   gets installed to not get confused with files from
          libindicator;  debian/libindicator-dev.install: Specify
          which files should be   put into the development package.
          (6465b8b)
        * Upstream snapshot (b630f12)
        * Release by core-dev into Ubuntu (65381a4)
        * Changing to an icon and a lable and building our own item (8c6656e)
        * Putting in and checking version information to ensure we all agree
          about the header version (ae26892)
        * Fixing and using the new indicator header.  This will help to
          connect things together and make them actually work in a
          reasonably type safe way. (4023d35)
        * Moving the indicators directory to match libindicator (b0c9eb5)
        * Setting the indicators directory manually (292b04e)
        * Creating an indicator lib to make sure we can attach all these
          things together. (61bc03a)

2009-04-20 Ted Gould

        * Adding a test to build a bunch of indicators (6f87e9c)
        * Adding in multiple servers connecting in to declare interest test
          (ecad1e3)
        * Expanding range of interest test and not checking to see if we got
          none, we shouldn't get it. (c5cc32d)
        * Gaurding against setting bad interests (76d5d0d)
        * Adding an interests test (38c6ce2)
        * Woot, now we do distcheck too (443c83a)
        * Distcheck fixes (5f5f476)
        * Chaning the include so that it works for make distcheck (43cf92a)
        * Adding in a simple test (8162f71)
        * Build infrastructure for first test (ecfb1c2)
        * Moving tests to examples (a1ccd1a)

2009-04-14 Martin Pitt

        * releasing version 0.1.6-0ubuntu1 (d10264b)
        * New upstream version   * Applied the same fixes as Cody Russell's
          patch to indicator-messages     to the finalize functions
          here.  Should fix LP: #359018 completely.   * Minor
          warnings fixes in search of solution to above. (4959fae)

2009-04-13 Ted Gould

        * Adding in support for finding out if people are interesting on the
          bus using introspection instead of sending a random
          function call to them and seeing what happens. (8270f15)
        * Commenting out some debug messages (e32b37d)
        * Less debug (46a050c)
        * Ah, a typo.  Bother. (135906b)
        * Okay, connected into that other there code... let's see what
          happens. (dec69be)
        * Fleshing out some (24e268d)
        * Whoa, it like builds and stuff (bde7e27)
        * Fixes to the finalize functions. (2edf3fb)
        * New upstream version   * Applied the same fixes as Cody Russell's
          patch to indicator-messages     to the finalize functions
          here.  Should fix LP: #359018 completely.   * Minor
          warnings fixes in search of solution to above. (cb60d3f)
        * Merging in core-dev (61ded01)
        * Making into a 6 (70223e1) (tag: 0.1.6)
        * Adding a bug number (f7dc7fa)
        * Adding in call to the parent class' finalize function as well, this
          should free all the way up to the top. (f0fa474)

2009-04-12 Ted Gould

        * Updating from trunk (a1207dc)
        * Some slight code cleanups to remove warnings (e9ef5ec)
        * Proto-pseudo-code for the introspection functions that are going to
          be needed (ce66459)

2009-04-11 Ted Gould

        * Fixing some pedantic little bugs to try and figure out what's
          causing 359018 (a09510f)

2009-04-10 Ted Gould

        * Adding in libxml linking (20836b8)
        * Dummy to put bug number in. (551a97c)
        * Create the virtual function for checking interest. (f4bfa1f)
        * Merging in Eitan's gtype-ify of the enums and the
          IndicateListener... objects. (28e006b)
        * Marking the dev branch as such. (70697a6)

2009-04-10 Eitan Isaacson

        * gtypify IndicateListenerIndicator (bcdeb13)
        * changed IndicateListenerServer to a gtyped pointer instead of a
          gboxed. (a3188d2)

2009-04-08 Eitan Isaacson

        * Changed marshallers to GBoxed for IndicatorListenerServer. Make
          copy/free functions empty for now. (8f4019b)
        * GBoxed IndicateListenerServer (a300f6c)
        * gtypified the interests enum. (0307775)

2009-04-08 seb128

        * releasing version 0.1.5-0ubuntu1 (df604ba)

2009-04-07 Ted Gould

        * Cleaning up changelog (746b6aa)
        * Merging in core-dev branch (198fee2)
        * Explicitly sets the about window's window icon.  (LP: #356437)
          (2ffebac)
        * Lots of fixes from trunk (a8ab75d)
        * Added in an 'icon-name' to make the about dialog have a proper
          icon. (c1955c5) (tag: 0.1.5)
        * on both client and server side.  (LP: #353112);  Makes it so that
          all objects down to the menu now use the gtkstyle naming
          from FUSA to ensure that they all pick up the theme hacks
          that are set for FUSA.  (LP: #334490) (13aa4e5)
        * debian/libindicate0.install changed to
          debian/libindicate1.install;  New upstream version:   *
          Adds new API for detecting interests of various listeners.
           Implemented     on both client and server side.  (LP:
          353112) (b2d85cf)
        * Clearing another warning.  Shame gdk doesn't do this one for us.
          (75002ff)
        * Patch from Eitan Isaacson to correct prototype.  Had to be adjusted
          slightly as the prototypes had moved. (9a7bcf3)
        * Ignoring our new test (7115f77)
        * Patch from Eitan Isaacson to remove a ref/unref infinite loop that
          effectively made it so that we kept our objects forever.
          While we love them, at some point we need to say goodbye.
          (eba8697)
        * Making it so that we don't register the object twice.  This is
          really a work around, but it's atleast fixes the crasher.
          Which sucked.  We need to work with the dbus folks to make
          this better. (3e1e512)
        * Adding show hide server test from Eitan on bug 351537 (596a5db)
        * Moving the install file. (0b820c7)
        * debian/control: Switching libindicate0 to libindicate1 to express
          the fact that the binary compatibility is broken.
          (98d4485)
        * I finally understood what seb128 told me about the version
          numbering. I feel so stupid for not understanding before
          :) (7f23e11)
        * Hiding some debugging messages. (912a2a1)
        * Simplifying error message (9bd1519)

2009-04-06 Ted Gould

        * Fixes for dev stuff. (8b71317)
        * Some debug messages;  Making the comparison of interests detect
          changings properly;  Correctly use g_list_remove in
          several cases making for long lists;  Using g_list_prepend
          instead of append because it's faster.;  Checking whether
          we've got proxies before destroying them. (42492db)

2009-04-03 Ted Gould

        * Header fixes (f252656)
        * Merge from upstream for header file fixes. (5f46d7f)
        * Moving private interests out of the public header file. (06dd63a)
        * Merging in dev stuff.  This'll break things. (76c68f9)
        * Merge in from the Dev branch (5e3c75a)
        * Not quite sure how these got added, but I'm not going to fight it.
          (05b5aa4)
        * Trying to get to a sane state.  I apparently don't know as much
          about library versioning as I thought I did. (4f5d2b5)
        * Hiding all of the functions that part of the DBus interface in that
          now they're all prefixed with '_' so that they don't get
          exported as part of the library symbols.  This should
          simplify everything a little bit for implementors.
          (d93da3d)
        * Getting rid of everything starting with 'd'.  This gets rid of the
          dbus stuff that isn't set up to be static, which is silly.
          (eb5078b)
        * Hiding the marshsallers from the libraries in the symbols by adding
          a _ in front of them. (be4c002)
        * Cleaning up the exported symbols, make sure that 'get_type_cb'
          isn't exported (303c52b)
        * Getting to version 0.2.0 (c9b2fe4)
        * Trying to have more style information included so that we can get
          rid of the focus line. (68d7bf9)
        * Adding interests on new servers saying that we're displaying the
          indicators and in the server. (16abe6d)
        * Fleshing out the functions in the listener to set interests.
          (96c1883)

2009-04-02 Ted Gould

        * Putting in some protection from crazy values (68fb067)
        * Hiding debug (2f66ceb)
        * Adding a bunch of debugging messages and fixing the lifecycle for
          the folk pointer.  Lots'o'fun.  But things seem to be
          working. (5c9e92e)
        * Filling in the dbus owner changing code.  Now we should catch
          those. (6826848)
        * Adding printouts for interest changes. (1554425)
        * Connecting in the DBus messaging that we need. (26bfe1c)
        * Fleshing out the interest setting and removing functions. (6e42996)
        * Updating unused file (aa7ec58)
        * Adding in folks support. (f94b485)
        * Adding the interest removed and interest added signals in.
          (1212c8e)
        * Woot!  Now we have some real functions to call! (5ebb3c4)
        * I can't believe I messed up this one.  Luckily it doesn't seem to
          have caused any bugs.  Man. (b874768)
        * Switching around the show_interest and remove_interest functions so
          that they are now asyncronous.  Not that being
          asynchronous is important but more that now they get the
          Method Invocation interface that we can use to find out
          the sender of the message.  Changed various APIs as a
          result of this, and moved the DBus functions to be
          internal. (6e51efb)

2009-04-01 Ted Gould

        * Adding new functions show_interest and remove_interest into the
          API.  Now to fill in the backend. (58403a8)
        * Adding a remove and show interest (966a1e5)
        * Change the API so it's more like we're keeping a list of what, and
          who are interested in.  This'll make it easier for us to
          manage all the DBus nastyness. (bae37d9)
        * Adding stuff to ignore, much better (e6287ab)
        * Misspelling (7fea958)
        * Getting some interests in the game. (b76642f)
        * Switch to searching on the connection, which is really what we care
          about and the proxy is a poor sustitute for. (589454c)
        * First pass at the pretty meag-change to make it so that we can
          detect people on the system vs. the session bus.
          Basically reworking a bunch of structures.  Fun. (f7bf54a)

2009-03-30 Martin Pitt

        * releasing version 0.1.4-0ubuntu1 (4134dd0)
        * New upstream version   * Changing the text in the license box to
          make sense. (LP: #346215)   * Call GNOME Program Init to
          initialize all of the ATK and gettext     stuff that needs
          to be initialized for it all to work.  Patch from
          Eitan Isaacson.  (LP: #349031)   * Give the indicator
          applet an ATK name so it can be found by the
          accessibility frameworks.  Patch from Eitan Isaacson.
          (LP: #349031)   * Making it so the 'No Indicators'
          situation uses a label instead of a     desensitized menu
          item to allow right click through.  (LP: #346359)   *
          Remove the making of 'Indicator Applet Factory'
          translatable.     (LP: #349540)   * Make sure translations
          get loaded and make the 'No Indicators' error     and the
          license translatable.  Patch from Gabor Kelemen.  (LP:
          #349998);  debian/control: Adding libgnomeui-dev as a
          dependency as it was added   upstream. (1b7e454)

2009-03-27 Ted Gould

        * Now in jaunty (9a1d935)
        * debian/control: Adding libgnomeui-dev as a dependency as it was
          added upstream. (3e8de8a)
        * New upstream version   * Changing the text in the license box to
          make sense. (LP: #346215)   * Call GNOME Program Init to
          initialize all of the ATK and gettext     stuff that needs
          to be initialized for it all to work.  Patch from
          Eitan Isaacson.  (LP: #349031)   * Give the indicator
          applet an ATK name so it can be found by the
          accessibility frameworks.  Patch from Eitan Isaacson.
          (LP: #349031)   * Making it so the 'No Indicators'
          situation uses a label instead of a     desensitized menu
          item to allow right click through.  (LP: #346359)   *
          Remove the making of 'Indicator Applet Factory'
          translatable.     (LP: #349540)   * Make sure translations
          get loaded and make the 'No Indicators' error     and the
          license translatable.  Patch from Gabor Kelemen.  (LP:
          #349998) (ef07f36)
        * debian/control: Add dependency to indicator-messages; the applet is
          currently fairly useless without it. (LP: #346359)
          (f4b6ce1)
        * Merging in upstream version 0.1.4 (3151d53)
        * Patch from Gabor Kelemen to make the license and 'No Indicators'
          message translatable. (02501d7) (tag: 0.1.4)
        * Removing the translatable marking for 'Indicator Applet Factory'
          (31ea8d2)
        * Bad truth in the hide function. (497702e)

2009-03-26 Ted Gould

        * Adding another bug that gets fixed with Eitan's merge. (b02adf3)
        * Comment for label (d917e8b)
        * Switching the case for 'No Indicators' to make it a label to still
          support right click through. (045b257)
        * Changing license in about box to make sense. (1f7ae08)
        * ATK name for Eitan (f6bd9e6)
        * Getting gtkdoc stuff to be a little happier (37af771)
        * Bumping version (0d98376)
        * Merging in Eitan's changes to make the applet a GNOME Program
          (8fd2e25)

2009-03-26 Eitan Isaacson

        * Add gnome_program_init with LIBGNOMEUI_MODULE. (acc7f89)

2009-03-25 Martin Pitt

        * releasing version 0.1.3-0ubuntu2 (9e0aabb) (tag: 0.1.3-0ubuntu2)
        * debian/control: Add dependency to indicator-messages; the applet is
          currently fairly useless without it. (LP: #346359)
          (ec4b835)

2009-03-18 Ted Gould

        * Cleaning up Changelog (345e246)
        * Merging in upsream 0.1.3 (7c4a7a5)
        * Changing version number (1ec78fc) (tag: 0.1.3)

2009-03-17 Ted Gould

        * releasing version 0.1.2-0ubuntu3~ted4 (6c97fee)
        * releasing version 0.1.2-0ubuntu3~ted3 (3cb0dc3)
        * Removing all the gobject stuff from the debian build files
          (321d1da)
        * Getting explicit disable (d4d1a0e)
        * Seems that we still get errors without it being there, I'm not sure
          why, but making it so that we can explicitly disable the
          gobject-introspection.  That should work for now.
          (ec34124)
        * releasing version 0.1.2-0ubuntu3~ted2 (bbf57e6)
        * releasing version 0.1.2-0ubuntu3~ted1ubuntu1 (95e61d1)
        * releasing version 0.1.2-0ubuntu3~ted1 (b2791c3)
        * Removing GObject introspection from the build deps (4086f8b)
        * Changes to make GIR optional from the applet branch (fe24c75)
        * Merging in the Ubuntu packaging versions (148a7df)
        * Making it so that the GIR stuff autodetects and only builds if
          available. (fdc47f8)

2009-03-17 Martin Pitt

        * debian/copyright: Fix download location. (78eda23)
        * Add bzr-builddeb configuration (merge mode). Fortunately this
          doesn't insist on having *only* debian/ in bzr. This gives
          us the best of both worlds, bzd-bd auto-downloading
          orig.tar.gz and merging in the pre-generated autoconf
          stuff, and retaining the possibility of merging directly
          from trunk, since we keep the full upstream source in this
          branch. (f5f204a)
        * Add debian/watch. (2a0f3ae)
        * retroactively mark 0.1.1-0ubuntu2 as uploaded (0bbf490)

2009-03-16 seb128

        * updated shlibs version (a74264a)
        * indicator-applet (0.1.2-0ubuntu1) jaunty; urgency=low (deccbbb)

2009-03-15 Ted Gould

        * Cleaning up the changelog (dab5af7)

2009-03-13 Ted Gould

        * releasing version 0.1.2-0ubuntu1~ppa2 (a015eb5)

2009-03-12 Ted Gould

        * releasing version 0.1.2-0ubuntu1~ppa1 (7ddf215)
        * Merging in 0.1.2 (8a4010a)
        * Fixes for distcheck (cad7516) (tag: 0.1.2)
        * Changing version number (34d085b)
        * Stealing the 'fast-user-switch-applet' name to get better theming
          (ad92d55)
        * Fixing the popup to have the about (5299a2c)
        * Right click menu is working, but without an about (2d63bb5)

2009-03-09 Ted Gould

        * Fix doubling of prototypes, patch from Eitan (c1663bc)
        * Putting the example executables in libexec and the source code in
          doc/examples (a2af5af)

2009-02-25 Ted Gould

        * releasing version 0.1.1-0ubuntu3~ppa3 (ef381a0)
        * Linking in the build interfaces, needed a temporary function to get
          linking right (d5ba977)
        * Forgot to put these in built sources (cb288de)
        * true is TRUE (e792f8a)
        * Adding build instructions for the listener interface (87a9458)
        * Merging from core-dev branch (9d3143b)
        * Merging in changes to put back in the GObject introspection and to
          have better build characteristics. (2a8dfa8)
        * Adding in the listeners interface (22ccedb)
        * Typo (cf43323)
        * releasing version 0.1.1-0ubuntu3~ppa2 (e835fb9)
        * Adding back in the GIR files and some distclean improvements to get
          back to NULL. (903ce09)
        * releasing version 0.1.1-0ubuntu3~ppa1 (97133c8)

2009-02-22 Ted Gould

        * An interface to get the list of servers from another listener
          (13881cb)
        * Adding information on how the server was added, but not really
          using it for anything yet.  I'm not sure that we can --
          bother. (84c1b5e)

2009-02-19 Martin Pitt

        * src/applet-main.c, applet_fill_cb(): Do not show anything if we are
          running under a stracciatella GNOME session (i. e. without
          Ubuntu components). See UbuntuSpec:stracciatella-session.
          (3bc5b8e)
        * releasing version 0.1.1-0ubuntu1 (477eb61) (tag: 0.1.1-0ubuntu1)
        * new upstream release 0.1.1 (fac33da)

2009-02-18 Ted Gould

        * Releasing 0.1.1 with build fixes and icons. (b645beb) (tag: 0.1.1)
        * releasing version 0.1-0ubuntu3~ppa1 (7554f5e)
        * Merging in icon changes (7aeff8e)
        * Changing the icon to be our fancy new one. (78a8495)
        * Adding in the autotools stuff for installing an icon. (971633d)
        * Ken's very cool Indicator Applet plugin. (fba553c)

2009-02-17 Ted Gould

        * Cherry picking r137 from the ubuntu-core-dev packaging branch that
          has licensing fixes (19665b4)
        * Cherry picking r136 from the ubuntu-core-dev packaging branch that
          cleans up the licensing, descriptions, and adds additional
          info (3fe3f9f)
        * Cherry picking r130 from the ubuntu-core-dev packaging branch that
          cleans up the changelog, adds better descriptions and
          updates the entries in the control file. (4c82f21)
        * Configure changes to include gio (8fbbd8a)
        * Mostly build related changes coming from the upstream branch.
          (af72d15)
        * This is a generated file.  Shouldn't be in VCS. (177afdd)
        * Adding the license info (e86d48d)
        * Adding the LGPL licenses and making sure they get into the tarball.
          (711265c)

2009-02-17 Martin Pitt

        * debian/copyright: Fix leftover word "either" from the license
          description. (e072dee)
        * debian/control: Update package descriptions; the messaging part is
          provided by indicator-messages. (23d6623)
        * debian/control: Fix Vcs-Bzr. (7009e0c)
        * releasing version 0.1-0ubuntu1 (f0eb6e3) (tag: 0.1-0ubuntu1)
        * configure.ac: Add missing gio-2.0 pkgconfig check (from DX team PPA
          packaging branch), and autoreconf to pick up the change.
          (5dc54bd)
        * Repack orig.tar.gz with a copy of the LGPL 3, libindicate/* is
          under that license. (93794c8)
        * debian/copyright: Properly describe licenses. (b3c78cf)
        * debian/control: Add Homepage:, Vcs-Bzr:, and proper package
          descriptions. (b41bed6)
        * flush changelog for ubuntu packaging branch (174ce19)

2009-02-16 Ted Gould

        * Trying to add in some extra files that seem useful for building,
          gtk-doc still fails. (d4ebcf1)
        * Oops, should get the screw up right... (25bb9e3)
        * Adding a couple of files to the distribution to pass distcheck
          (b57c4ff)

2009-02-15 Ted Gould

        * releasing version 0.1~ppa41 (3cea98d)
        * Putting on a handle;  Adding in a background function from
          panel-lib (3e126a2)
        * This function seems to set up the widget correctly with the
          background.  It's undocumented, but most other applets
          seem to do it. (8336b57)
        * Putting a little handle on the indicators.  Works for GNOME Panel.
          (6012d33)
        * releasing version 0.1~ppa40 (e424f77)
        * Merging in from the 'upstream' branch.  Changes include the
          addition of a server signal for the NULL indicator.  And a
          warning fix for icons. (55b9343)
        * Removing the debian directory.  Going to start using this as my
          upstream branch and the other as the packaging branch.
          (975000d)
        * Adding a handler for the new server display signal, and then make
          the messages more clear between the two. (524e5b9)
        * Adding a new signal in that handles the ID of zero, or null,
          comming back from a listener and uses that to show the
          server.  Or atleast signal it to figure out how to do
          that.  Also cleaning up the signals a little to use
          defines. (3a3a6e5)
        * Adding a check for NULL string in the icon parsing code.  This will
          stop a bunch of warnings coming from everything else.
          (0e0780f)

2009-02-13 Ted Gould

        * releasing version 0.1~ppa39 (50a37ef)
        * Fixing a bug in the listener where properties weren't available on
          running servers. (f079d67)
        * Ah, declared a variable in an if so that it didn't get out of
          scope.  Like it should have.  Bah. (ebe1c53)
        * Adding in a set of functions to get the properties off of a server
          (17d0da7)

2009-02-12 Ted Gould

        * releasing version 0.1~ppa38 (9919392)
        * Adding in GIO to the list of linked modules. (f298782)
        * releasing version 0.1~ppa37 (33dc1d7)
        * Making time and icons happy and work well.  Also adding lots of fun
          tests for them. (a7d062c)
        * Forgot to set the timer back to something reasonable! (2c157aa)
        * Adding in support for icons, specifically passing them back and
          forth on the bus (3eb4043)
        * Changing from using a memory stream to using a buffer, the memory
          stream one seems to be broken. (6b3a32c)
        * Adding in the function to take a pixbuf, turn it into a png, base64
          encode it and then send it across the wire. (a2e77d6)
        * Changing the icon data to be base64 encoded, should have done that
          originally, how silly. (1a8b895)
        * Seems like a better name (52cd253)
        * Fixing some prototypes to fix warnings and errors we haven't yet
          encountered.  Also setting the type so that our switch
          statement actually works. (e921d55)
        * Adding in some debug messages and making the signal use the
          original key to broadcast itself. (8b91e1d)
        * Added in a way to print the values of properties while they change.
           More later, but a start. (1a5e21e)
        * Seeing what happens if I turn on "sign always" in Bazaar. (b94d3a7)
        * Adding in the code for handling icons and time (c3964b3)
        * Rebuilding the way that priorities get done so that we can handle a
          time and icon version of the functions so that apps don't
          have to worry about those details. (ee27474)
        * Setting the properties property and picking up Empathy's desktop
          file (8a2cf34)
        * Adding in a timer function to change the time every three minutes
          or so in order to test modifying times. (e1c5a98)
        * Using the time property function (31d107e)
        * Adding in a time property function (184a04a)

2009-02-11 Ted Gould

        * Merging from trunk (2717850)
        * releasing version 0.1~ppa36 (24fd755)
        * Merging in the changes to make it so that properties work right,
          get handled properly by the listener and have convience
          functions.  Also lots of little important cleanups.
          (fe7b7c4)
        * Cleaning up some debug messages that aren't as useful anymore
          (2f2fdfe)
        * Switching to ref_default (47decbd)
        * Fixing the deallocation to check the right parameters. (734c7ea)
        * Turning off some debugging, reformatting, and putting the
          connection into the proxy_t structure (2c02884)
        * Basically things are working as the proxyts are now findable.
          (ef78255)
        * Fixing the call, checking both lists of proxies, and adding some
          debug info. (609f0c8)
        * Removing an annoying warning (69bec2a)
        * Adding a check for type in the middle of the state machine for
          building a server. (5feca66)
        * Adding in a ref-default function so that we can keep one listener
          around for fun and profit. (584e64c)
        * Getting all the legal stuff in. (8c06d7e)
        * Putting license information everywhere. (7e01f3a)
        * Adding in an author (5b84e20)
        * Adding GPL to the tests (468fb34)
        * Adding the GPL to this file (25f9a81)
        * Putting the debian copyright info in (17a13da)
        * Adding a license to the top of all these files.  LGPL 2/3 (390c348)

2009-02-10 Ted Gould

        * Adding to the convience functions for setting the desktop file and
          the type of the server. (3ca33fc)
        * Building a way to get properties.  Seems like this should be in the
          DBus libs, but anyway.  Here is the code that compiles and
          claims that it'll do it.  More code than I would have
          liked. (49220be)
        * Avoiding a conflict with GObject's get_type function. (8bfb5a1)
        * Adding in real functions to match the prototypes. (0fcfc2b)
        * Adding in functions to match the prototypes. (5a03a06)
        * Adding in a set_type function and fixing the prototype for
          set_desktop (c6eab16)
        * Changing type to message.im for testing, now it's different than
          the messages. (ee050d4)
        * Adding an API for getting the type and desktop files (01244bc)
        * Including type information in the creation and destruction of
          servers (a9e725a)

2009-02-09 Ted Gould

        * Merge from trunk (42e990f)
        * releasing version 0.1~ppa35 (9d73c89)
        * Only emitting a changed signal on properties changed when the
          indicator is visible (50411f8)
        * Some formatting, reusing the private variable, making it so that
          hide sends the type and only sending a message of finalize
          if we're still visible. (eb7ca97)
        * Server hide function from Niel (d7d7036)

2009-02-09 Neil Jagdish Patel

        * Add the indicate_server_hide function (d42c9b5)

2009-02-07 Ted Gould

        * Sending the type with the signal in the listener, adding it into
          the tests. (b955805)
        * Changing the signals for show/hide to send the type correctly.
          (af60279)
        * Setting the type of the server (455dbe3)

2009-02-06 Ted Gould

        * releasing version 0.1~ppa34 (f308079)
        * Making the listener handle the case where we're using the new
          show/hide structure. (4cf9eec)
        * Ah, stupid little wrong function (603808b)
        * releasing version 0.1~ppa33 (e5e968c)
        * releasing version 0.1~ppa32 (37a0956)
        * Tracking the type of the server in the proxyt structure (0b687ad)
        * Changing the prototypes to start using the server added stuff
          (aa624cd)
        * releasing version 0.1~ppa31 (720e250)
        * releasing version 0.1~ppa30 (07f61bd)
        * Removing GObject introspection for now (e2fae3b)
        * releasing version 0.1~ppa29 (18daf0a)

2009-02-05 Ted Gould

        * releasing version 0.1~ppa28 (246b29b)
        * Merging in the trunk changes (c18cbee)
        * Adding properties for doing type and desktop (c4db8e8)
        * Changing the DBUS API slightly.  Now there is no 'get_desktop'
          function as desktop is a property.  Added a property for
          type so that we can understand what kind of application
          this is.  And finally adding show/hide signals on the
          server as they were already on the listener. (a14b6dd)
        * releasing version 0.1~ppa27 (e6ff0d4)
        * releasing version 0.1~ppa23 (d52c59b)
        * Adding in the API function to take and icon and display it.  Just
          the prototype. (5cf3a79)

2009-02-04 Ted Gould

        * typo (d95b170)
        * releasing version 0.1~ppa26 (206b407)
        * Merge in documentation and icons (cf719f1)

2009-02-04 Neil Jagdish Patel

        * Set the widget name on the applet rather than the menubar, to make
          sure it's picked up globally. (eae7dfc)

2009-02-04 Ted Gould

        * Removing the icons from the larger applet (7ef6658)
        * Adding a conflicts and a replaces to get rid of errors. (663d926)
        * ppa23 (212b175)
        * Polish it up (9ff950e)
        * Making it so that there is no more boarder on the menu bar
          (b5314b8)

2009-02-04 Neil Jagdish Patel

        * indicator-applet (0.1~ppa22) intrepid; urgency=low (124eadc)
        * Fix coding style (3002304)

2009-02-03 Neil Jagdish Patel

        * Enable support for a "transparent" panel applet, which reacts to
          the gnome- panel theme changes (e886446)

2009-02-03 Ted Gould

        * Getting gtk-doc working (c074cf6)
        * Getting everything together to try and build docs (47aedec)
        * Getting the dirs right (bccae5a)
        * Getting SUBDIRS right (aa26429)
        * I think this will add gtk docs (2f6177e)
        * Putting in the makefiles for the docs and the reference docs
          (7a91603)
        * Adding in checks for GTK Doc (5d714e6)
        * Merge from trunk (0223011)
        * Adding in package fixes from seb128   * Removing scrollkeeper   *
          Changing libindicate to libindicate0   * Removing .la file
            * Removing targets for files in libindcate-dev.install
          * Removing pkg-create-dbgsym;  Adding a build depend on
          pkg-create-dbgsym (3c879bc)

2009-02-03 Neil Jagdish Patel

        * Allow sub-classes of server to emit signals using three new public
          functions (67d2967)

2009-02-02 Ted Gould

        * Bump for PPA (a0440fa)
        * Should have been for Intrepid (935d457)

2009-01-30 Ted Gould

        * Adding interface for listener sending back a display request.
          (f1c8ad7)
        * Listener interface for signalling an indicator (722c621)
        * Adding a print message for when the indicator is signaled (21a212b)
        * Adding an interface to call back to an indicator and display it.
          (2adf895)

2009-01-29 Ted Gould

        * Guess I should merge trunk back in at some point. (d9e7ed9)
        * Fixing the handling of named DBus connections;  Moving most of
          the data in the objects to private sections;  Making the
          signal names defines for easier usage;  Having property
          changes actually work now. (17bc0da)
        * Changing the include directory from 1.0 to 0.1 which gives us more
          room to screw up (de80300)
        * Wow, I didn't realize we weren't handling properties at all
          correctly.  Fixed now.  Whew. (fab825e)
        * Adding a set property after the show to cause a signal (054c9ba)
        * Have the server pass along the property modified signal (f5e7d6d)
        * Adding a property modified signal to the indicator object (dd60c62)
        * Making all of the server values move into a private section like
          all the others.  Generally a good thing and good clean up
          (759d62b)
        * Making the indicator properties private, they should be.  Also
          cleans up some deps. (c0a3238)
        * Removing the gobject-introspection-repository from the list of
          build depends as we needed it for the dbus stuff, that
          we're no longer using. (d898b21)
        * Removing DBus from the gobject introspection (d2f37fb)
        * Oops, forgot the header there (116ff8e)
        * Okay, moving all of the variables from the listener class into a
          private object.  This is to make the GObject introspection
          not need dbus, and thus we can reduce our build deps
          significantly. (82c65bf)
        * Use the new fangled defines to make things cleaner (ab78f47)
        * Getting some helper defines for some of the hacks that'll probably
          change in the future (63630dc)
        * Using the defines for the signal names (5454aee)
        * Making the signals use #defines to make everything a little more
          predictable.  I hate this part of GObject signals.
          (fea68aa)
        * Adding a variable to make the compiler happier (492652a)

2009-01-26 Ted Gould

        * Changed to only listen to reference names instead of descriptive
          ones.  Hopefully this'll fix a crash. (b96eebb)

2009-01-22 Ted Gould

        * Forgot to run autogen.sh before last package :( (b6c1425)

2009-01-21 Ted Gould

        * Update API slightly and some fixes. (d186804)
        * Adding in a message indicator and a small test to use it. (8199742)
        * Adding in the im-client test and fixing a couple of bugs it found
          (0fc106d)
        * Adding in a type for indicators that are messages (48697b9)
        * Generated source files (58a667b)
        * Adding in listener_get_property (ea69948)
        * Adding in a get_property function (2ed2801)

2009-01-19 Ted Gould

        * Wrong indicate include directory in package config files (e782c32)
        * Wrong indicate include directory in package config files (640fb32)

2009-01-16 Ted Gould

        * Moving the gir file to the right package (dbe2080)
        * Removing the gir file from the applet so that it's only with the
          library so that we can install all of them. (7a5bf13)
        * Adding the GObject Introspection files into the build and the
          packaging. (ba631e9)
        * Shell script integrated into the autotools system (e3f1f4e)
        * Bringing GObject Introspection into the build and making it so that
          it gets installed with the library. (ac140d5)
        * Build fix (e83283e)
        * Adding in libtool to build deps (09d01e6)
        * Getting the debian package built up so that it can have a seperate
          library binary package. (0eb5899)
        * Changing the build targets, now I understand the difference between
          'any' and 'all' (872812a)
        * Making it so the lib only uses glib (which it does) (913c9d2)
        * Adding in the libindicate lib. (28c26d8)
        * Moving the tests so that they can guarantee to build after the
          library builds as otherwise they end up getting built
          first. (8f80127)
        * Adding in a return that was missing (though it's useless) (487239d)
        * Building the listener object that listens to all of the folks on
          DBus and turns that into a usable interface for indicator
          display folks.  A lot of code to make things simple :)
          (2b6ce30)
        * Handling the case that we're destroying an entry because the bus
          told us to.  Properly signalling all of the removals
          (df1713a)

2009-01-15 Ted Gould

        * Fixing the printing and the saving of indicators. (ad1cc2d)
        * Changing the test to do the printing by itself instead of using the
          debug messages in the class itself (fe3addb)
        * Getting the signals in shape (0d1e01e)
        * Okay, adding the other signals in and keeping track of the
          indicators that are hanging around.  Now, to connect to
          things external. (2722037)
        * Get the type of the list of indicators that we got, and then set
          the up to register (0ff1165)
        * Now correctly calling the get indicators function to get the
          indicators on already created objects. (fb5b330)
        * Adding in a marshaller for the DBus signals that we need (e50f228)
        * Now doing some DBus listening and getting some of the initial
          configuration built up. (d1c2ed2)
        * Changing to the dbus interface and changing to build teh client and
          server interfaces (421cea2)
        * Amazing how a little string can make such a huge difference.
          (4c623e4)
        * Adding in a basic listening test (da2657e)
        * Adding a new function (6ba4025)
        * Starting to flesh out the listener a little bit, should get a list
          of names on teh bus at this point (441032c)
        * Adding in the base object for the listener. (ccac9b8)
        * Cut-and-paste error (48277fb)

2009-01-14 Ted Gould

        * Okay, I think this is the end of server and indicator minus all the
          bugs that I expect to find :) (8a2369b)
        * Cleaning up prototypes and type warnings. (284b3dd)
        * Who the hell would design an API that passes in arrays of strings
          differently than it passes them out.  What an insane idea.
           Oh yeah, properties work. (bda3bbf)
        * Merging in code from yesterday.  Got many of the functions working
          with real IDs and making lists.  The basis for all the
          properties stuff is there but it still needs a touch of
          fleshing out.  Also a new test for debugging. (89bf87a)
        * Chaning the property list parameters to be pointer arrays.
          (c145922)

2009-01-13 Ted Gould

        * Making the indicator lookup it's own function and trying it out in
          another function to get a property. (a72a4ce)
        * Adding in some properties to the mix (cb3ce99)
        * Adding in a display function and a list by type. (4670fee)
        * Man, a lot of work for messing up one explaination point. (1c7343c)
        * Making it so that the indicators all have unique IDs (82dee94)
        * Forgot to actually add the test (f64b5d9)
        * Ah, we weren't checking if we were visible.  Now things are better.
          (0b4e54d)
        * Return to crashing beauty (bba89ed)
        * Add a test to create a lot of indicators. (3dbe51d)
        * Merging in Robert's changes. (5030c34)

2009-01-13 Robert Carr

        * Add script to build GObject-introspection GIR, and boilerplate
          JavaScript test. (71820cb)
        * Use G_BEGIN/END_DECLS, and put the GOBject *_get_type functions in
          the header file (needed by introspection, but also the
          normal GLib style). (27a71bb)
        * Merge Ted's changes. I should have used bzr bind. (544dec8)
        * Add pkgconfig file. (35c5045)

2009-01-12 Ted Gould

        * Fleshing out more functions, we can now return a list of ids.  Need
          to test with more. (5525628)
        * Whoo Hoo, we can count (cd4f548)
        * Fleshing out the whole show and hide thing.  We should also be
          signalling when indicators are added or removed from the
          server. (514837a)
        * Clean up the signal handlers and fixing the call in the test
          function.  Now we're to the point of showing the way I
          think things should be. (2dc2f26)
        * Basic show hide support in the indicator (3d55f90)
        * Changing to showing the inicator and make it so that we dont' crash
          right now. (b687b3a)
        * Adding in the base functions with pointers and fun stuff like that
          (245fdda)

2009-01-11 Ted Gould

        * Adding in signals so that we can talk to the app over DBus.  Nice.
          (bea741f)

2009-01-09 Ted Gould

        * Adding in a show to help debugging (4d93780)
        * Adding in an indicator to the test and fixing a typo (55794df)
        * Connecting indicators and servers.  They create themselves easily.
          (791b5f8)
        * Setting up the singleton nature of the server, and allow setting
          it. (57b3f58)
        * Fleshing out the server some in adding function and prototypes.
          (f8ca555)

2009-01-08 Ted Gould

        * Adding in build support for the indicate and crash test.  Will make
          future ones easier. (5ed10df)
        * Adding in a simple program to crash after 15 seconds.  Now we can
          add indicators to it. (fc3c5b9)
        * Building a pretty good set of virtual functions and getting them
          tied together, with errors too. (7e75808)
        * Basic GObject stuff (e2a3557)

2009-01-07 Ted Gould

        * Setting up version of the libraries. (d505bed)
        * Fixing stuff so that everything links all together (9389a6a)
        * Adding in a built sources tag to build the header file properly
          (4381e65)
        * Fixing linking and libraries and includes oh my (1068ff2)
        * Dummy starting file (20c59cd)
        * Adding libindicate to the build system (699c575)
        * Make file starting out to build this thing (3206434)
        * Basic server stuff (cd42ea2)
        * Fixing a bunch of typos, now it is a happy validating XML file.
          (ff7715c)
        * First version of XML DBus interface (e962748)
        * Dropping in more code to make these real GObjects and such
          (98bb151)

2008-12-20 Ted Gould

        * Stopping point (8e913de)

2008-12-04 Ted Gould

        * Moving the indicator directory cross-packages. (0d28e60)
        * Put in the kickarse loader code.  Happy, happy. (227bcb3)
        * Building in a module loader (438133c)

2008-12-03 Ted Gould

        * Parse directories (2253177)
        * Making the applet very light. (75f4a72)
        * Okay, we're all doing everything perfect (bbc5347)
        * Making the applet a lot more sparce.  Now we're going to load
          things dynamically.  Let them have their own problems.
          (854bab0)
        * Removing everything except messaging. (e1092da)

2008-12-02 Ted Gould

        * Adding in all of the icons into the mockups. (a387d91)

2008-11-25 Ted Gould

        * Adding in icons from Ken. (52e4855)

2008-11-24 Ted Gould

        * Adding in some filler menus to get some depth. (c8ae9fe)
        * Adding in the infrastructure to have icons in the build.  Only a
          dummy icon for now, but it's there and ready for some
          friends. (f458833)
        * Adding in additional files to catch translations (e23753e)
        * Removing the test menu item. (3f3e49b)
        * Adding in settings (edb2f89)
        * Blocking the prelight (f9b7c24)
        * Making spacing and alignment better (10629d4)
        * Getting some batteries in there. (98c6e94)
        * Basic power handler (c6c57ca)

2008-11-20 Ted Gould

        * First try at getting it not to hide on click.  Fail. (35cef87)
        * Whoa, getting that inherited type wrong really messes things up.
          (13ad9d4)
        * Clean compile, but something is broken in the _init function.  Not
          sure what. (a29584a)

2008-11-19 Ted Gould

        * Okay, blocked the prelight on the item, now how do I get my buttons
          out of event prison. (712bddc)
        * Getting all the widgets in the menu item.  Doesn't quite work
          right, but the widgets are there. (9d3a43a)
        * Adding in a menu item to start putting in a slider. (04153d7)

2008-11-18 Ted Gould

        * Adding a depend for dbus-glib (4645182)
        * Version one of debian packaging. (9073e40)

2008-11-12 Ted Gould

        * Working on ideas for the prototype of the individual item stuff
          (947bc3f)
        * Starting to build functions to handle the menu spec over DBus
          (b63286e)
        * Okay, audio is an icon now. (b4b7ab3)
        * Connecting in all the different applets, now they can do their own
          thing. (b61274a)
        * Adding the basis for all the different indicators that we want to
          include (6a2c99b)
        * Switching from a label and an hbox to a menubar (99a07ef)
        * Ah, forgot to show the applet itself. (dd64e6a)
        * Putting a label in the widget (9d5abe0)
        * Adding in more documentation on the seperation between user
          interaction and the system services. (5781046)

2008-11-10 Ted Gould

        * A diagram about how intermediate daemons are going to provide
          status to the panel. (62605c2)
        * Getting some text that I'd written on the target API in the repo.
          (75e2280)
        * Indicator prototypes (0fdb6cc)

2008-10-30 Ted Gould

        * Ignoring some stuff (236c9a2)
        * Setting up the data directories and getting everything to translate
          nicely (237fca7)

2008-10-29 Ted Gould

        * Adding in the linking and some basic prototypes. (9b4a5fb)
        * Getting the build things together so that it starts building.
          Yeah. (435437a)
        * Basic build system, not quite working though (9c2e7b6)
